#include "objects.h"
#include "common.h"
#include "fonts.h"
#include "font.h"
#include "lists.h"

class QuickBackdrop2_200 : public QuickBackdrop
{
public:
    QuickBackdrop2_200(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 2", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 3228;
        height = 3228;
        image = get_internal_image(409);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop2_200(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop2_200(x, y);
}
class Backdrop5_201 : public Backdrop
{
public:
    Backdrop5_201(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 5", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_5
        manager.frame->back_instances[BACK_ID_BACKDROP_5].push_back(this);
#endif
        image = get_internal_image(421);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_backdrop5_201(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop5_201(x, y);
}
class Backdrop6_202 : public Backdrop
{
public:
    Backdrop6_202(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 6", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_6
        manager.frame->back_instances[BACK_ID_BACKDROP_6].push_back(this);
#endif
        image = get_internal_image(425);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_backdrop6_202(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop6_202(x, y);
}
static Image* images_enemyrockiship_203_0_0[1];
static Direction direction_enemyrockiship_203_0_0 = {0, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_0};
static Image* images_enemyrockiship_203_0_1[1];
static Direction direction_enemyrockiship_203_0_1 = {1, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_1};
static Image* images_enemyrockiship_203_0_2[1];
static Direction direction_enemyrockiship_203_0_2 = {2, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_2};
static Image* images_enemyrockiship_203_0_3[1];
static Direction direction_enemyrockiship_203_0_3 = {3, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_3};
static Image* images_enemyrockiship_203_0_4[1];
static Direction direction_enemyrockiship_203_0_4 = {4, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_4};
static Image* images_enemyrockiship_203_0_5[1];
static Direction direction_enemyrockiship_203_0_5 = {5, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_5};
static Image* images_enemyrockiship_203_0_6[1];
static Direction direction_enemyrockiship_203_0_6 = {6, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_6};
static Image* images_enemyrockiship_203_0_7[1];
static Direction direction_enemyrockiship_203_0_7 = {7, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_7};
static Image* images_enemyrockiship_203_0_8[1];
static Direction direction_enemyrockiship_203_0_8 = {8, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_8};
static Image* images_enemyrockiship_203_0_9[1];
static Direction direction_enemyrockiship_203_0_9 = {9, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_9};
static Image* images_enemyrockiship_203_0_10[1];
static Direction direction_enemyrockiship_203_0_10 = {10, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_10};
static Image* images_enemyrockiship_203_0_11[1];
static Direction direction_enemyrockiship_203_0_11 = {11, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_11};
static Image* images_enemyrockiship_203_0_12[1];
static Direction direction_enemyrockiship_203_0_12 = {12, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_12};
static Image* images_enemyrockiship_203_0_13[1];
static Direction direction_enemyrockiship_203_0_13 = {13, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_13};
static Image* images_enemyrockiship_203_0_14[1];
static Direction direction_enemyrockiship_203_0_14 = {14, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_14};
static Image* images_enemyrockiship_203_0_15[1];
static Direction direction_enemyrockiship_203_0_15 = {15, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_15};
static Image* images_enemyrockiship_203_0_16[1];
static Direction direction_enemyrockiship_203_0_16 = {16, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_16};
static Image* images_enemyrockiship_203_0_17[1];
static Direction direction_enemyrockiship_203_0_17 = {17, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_17};
static Image* images_enemyrockiship_203_0_18[1];
static Direction direction_enemyrockiship_203_0_18 = {18, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_18};
static Image* images_enemyrockiship_203_0_19[1];
static Direction direction_enemyrockiship_203_0_19 = {19, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_19};
static Image* images_enemyrockiship_203_0_20[1];
static Direction direction_enemyrockiship_203_0_20 = {20, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_20};
static Image* images_enemyrockiship_203_0_21[1];
static Direction direction_enemyrockiship_203_0_21 = {21, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_21};
static Image* images_enemyrockiship_203_0_22[1];
static Direction direction_enemyrockiship_203_0_22 = {22, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_22};
static Image* images_enemyrockiship_203_0_23[1];
static Direction direction_enemyrockiship_203_0_23 = {23, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_23};
static Image* images_enemyrockiship_203_0_24[1];
static Direction direction_enemyrockiship_203_0_24 = {24, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_24};
static Image* images_enemyrockiship_203_0_25[1];
static Direction direction_enemyrockiship_203_0_25 = {25, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_25};
static Image* images_enemyrockiship_203_0_26[1];
static Direction direction_enemyrockiship_203_0_26 = {26, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_26};
static Image* images_enemyrockiship_203_0_27[1];
static Direction direction_enemyrockiship_203_0_27 = {27, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_27};
static Image* images_enemyrockiship_203_0_28[1];
static Direction direction_enemyrockiship_203_0_28 = {28, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_28};
static Image* images_enemyrockiship_203_0_29[1];
static Direction direction_enemyrockiship_203_0_29 = {29, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_29};
static Image* images_enemyrockiship_203_0_30[1];
static Direction direction_enemyrockiship_203_0_30 = {30, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_30};
static Image* images_enemyrockiship_203_0_31[1];
static Direction direction_enemyrockiship_203_0_31 = {31, 50, 50, 0, 1, 1, images_enemyrockiship_203_0_31};
static Animation anim_enemyrockiship_203_0 = {&direction_enemyrockiship_203_0_0, &direction_enemyrockiship_203_0_1, &direction_enemyrockiship_203_0_2, &direction_enemyrockiship_203_0_3, &direction_enemyrockiship_203_0_4, &direction_enemyrockiship_203_0_5, &direction_enemyrockiship_203_0_6, &direction_enemyrockiship_203_0_7, &direction_enemyrockiship_203_0_8, &direction_enemyrockiship_203_0_9, &direction_enemyrockiship_203_0_10, &direction_enemyrockiship_203_0_11, &direction_enemyrockiship_203_0_12, &direction_enemyrockiship_203_0_13, &direction_enemyrockiship_203_0_14, &direction_enemyrockiship_203_0_15, &direction_enemyrockiship_203_0_16, &direction_enemyrockiship_203_0_17, &direction_enemyrockiship_203_0_18, &direction_enemyrockiship_203_0_19, &direction_enemyrockiship_203_0_20, &direction_enemyrockiship_203_0_21, &direction_enemyrockiship_203_0_22, &direction_enemyrockiship_203_0_23, &direction_enemyrockiship_203_0_24, &direction_enemyrockiship_203_0_25, &direction_enemyrockiship_203_0_26, &direction_enemyrockiship_203_0_27, &direction_enemyrockiship_203_0_28, &direction_enemyrockiship_203_0_29, &direction_enemyrockiship_203_0_30, &direction_enemyrockiship_203_0_31};
static Animation * anim_array_enemyrockiship_203[1] = {&anim_enemyrockiship_203_0};
static Animations anim_enemyrockiship_203 = {1, &anim_array_enemyrockiship_203[0]};
static bool anim_enemyrockiship_203_initialized;
class EnemyRockiship_203 : public Active
{
public:
    EnemyRockiship_203(int x, int y) : Active(x, y, EnemyRockiship_203_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("enemy-rockiship", 15);
#endif
        this->animations = &anim_enemyrockiship_203;
        if (!anim_enemyrockiship_203_initialized) {
            anim_enemyrockiship_203_initialized = true;
            images_enemyrockiship_203_0_0[0] = get_internal_image_direct(504);
            images_enemyrockiship_203_0_1[0] = get_internal_image_direct(505);
            images_enemyrockiship_203_0_2[0] = get_internal_image_direct(506);
            images_enemyrockiship_203_0_3[0] = get_internal_image_direct(507);
            images_enemyrockiship_203_0_4[0] = get_internal_image_direct(508);
            images_enemyrockiship_203_0_5[0] = get_internal_image_direct(509);
            images_enemyrockiship_203_0_6[0] = get_internal_image_direct(510);
            images_enemyrockiship_203_0_7[0] = get_internal_image_direct(511);
            images_enemyrockiship_203_0_8[0] = get_internal_image_direct(512);
            images_enemyrockiship_203_0_9[0] = get_internal_image_direct(513);
            images_enemyrockiship_203_0_10[0] = get_internal_image_direct(514);
            images_enemyrockiship_203_0_11[0] = get_internal_image_direct(515);
            images_enemyrockiship_203_0_12[0] = get_internal_image_direct(516);
            images_enemyrockiship_203_0_13[0] = get_internal_image_direct(517);
            images_enemyrockiship_203_0_14[0] = get_internal_image_direct(518);
            images_enemyrockiship_203_0_15[0] = get_internal_image_direct(519);
            images_enemyrockiship_203_0_16[0] = get_internal_image_direct(520);
            images_enemyrockiship_203_0_17[0] = get_internal_image_direct(521);
            images_enemyrockiship_203_0_18[0] = get_internal_image_direct(522);
            images_enemyrockiship_203_0_19[0] = get_internal_image_direct(523);
            images_enemyrockiship_203_0_20[0] = get_internal_image_direct(524);
            images_enemyrockiship_203_0_21[0] = get_internal_image_direct(525);
            images_enemyrockiship_203_0_22[0] = get_internal_image_direct(526);
            images_enemyrockiship_203_0_23[0] = get_internal_image_direct(527);
            images_enemyrockiship_203_0_24[0] = get_internal_image_direct(528);
            images_enemyrockiship_203_0_25[0] = get_internal_image_direct(529);
            images_enemyrockiship_203_0_26[0] = get_internal_image_direct(530);
            images_enemyrockiship_203_0_27[0] = get_internal_image_direct(531);
            images_enemyrockiship_203_0_28[0] = get_internal_image_direct(532);
            images_enemyrockiship_203_0_29[0] = get_internal_image_direct(533);
            images_enemyrockiship_203_0_30[0] = get_internal_image_direct(534);
            images_enemyrockiship_203_0_31[0] = get_internal_image_direct(535);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(randrange(32));
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
        alterables->values.set(1, 25);
        alterables->values.set(2, 1);
    }
};
FrameObject * create_enemyrockiship_203(int x, int y)
{
    return new (Active::pool.create()) EnemyRockiship_203(x, y);
}
static Image* images_spawnerrockitship_204_0_0[1];
static Direction direction_spawnerrockitship_204_0_0 = {0, 50, 50, 0, 1, 1, images_spawnerrockitship_204_0_0};
static Animation anim_spawnerrockitship_204_0 = {&direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, NULL, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0, &direction_spawnerrockitship_204_0_0};
static Animation * anim_array_spawnerrockitship_204[1] = {&anim_spawnerrockitship_204_0};
static Animations anim_spawnerrockitship_204 = {1, &anim_array_spawnerrockitship_204[0]};
static bool anim_spawnerrockitship_204_initialized;
class SpawnerRockitship_204 : public Active
{
public:
    SpawnerRockitship_204(int x, int y) : Active(x, y, SpawnerRockitship_204_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("spawner-rockitship", 18);
#endif
        this->animations = &anim_spawnerrockitship_204;
        if (!anim_spawnerrockitship_204_initialized) {
            anim_spawnerrockitship_204_initialized = true;
            images_spawnerrockitship_204_0_0[0] = get_internal_image_direct(473);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spawnerrockitship_204(int x, int y)
{
    return new (Active::pool.create()) SpawnerRockitship_204(x, y);
}
static Image* images_objcheckpoint_205_0_0[6];
static Direction direction_objcheckpoint_205_0_0 = {0, 50, 50, 0, -1, 6, images_objcheckpoint_205_0_0};
static Animation anim_objcheckpoint_205_0 = {&direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, NULL, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0, &direction_objcheckpoint_205_0_0};
static Animation * anim_array_objcheckpoint_205[1] = {&anim_objcheckpoint_205_0};
static Animations anim_objcheckpoint_205 = {1, &anim_array_objcheckpoint_205[0]};
static bool anim_objcheckpoint_205_initialized;
class ObjCheckpoint_205 : public Active
{
public:
    ObjCheckpoint_205(int x, int y) : Active(x, y, ObjCheckpoint_205_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-checkpoint", 14);
#endif
        this->animations = &anim_objcheckpoint_205;
        if (!anim_objcheckpoint_205_initialized) {
            anim_objcheckpoint_205_initialized = true;
            images_objcheckpoint_205_0_0[0] = get_internal_image_direct(460);
            images_objcheckpoint_205_0_0[1] = get_internal_image_direct(467);
            images_objcheckpoint_205_0_0[2] = get_internal_image_direct(470);
            images_objcheckpoint_205_0_0[3] = get_internal_image_direct(499);
            images_objcheckpoint_205_0_0[4] = get_internal_image_direct(500);
            images_objcheckpoint_205_0_0[5] = get_internal_image_direct(501);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(true);
        create_alterables();
    }
};
FrameObject * create_objcheckpoint_205(int x, int y)
{
    return new (Active::pool.create()) ObjCheckpoint_205(x, y);
}
static Image* images_objcheckpointspawner_206_0_0[1];
static Direction direction_objcheckpointspawner_206_0_0 = {0, 50, 50, 0, 1, 1, images_objcheckpointspawner_206_0_0};
static Animation anim_objcheckpointspawner_206_0 = {&direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, NULL, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0, &direction_objcheckpointspawner_206_0_0};
static Animation * anim_array_objcheckpointspawner_206[1] = {&anim_objcheckpointspawner_206_0};
static Animations anim_objcheckpointspawner_206 = {1, &anim_array_objcheckpointspawner_206[0]};
static bool anim_objcheckpointspawner_206_initialized;
class ObjCheckpointspawner_206 : public Active
{
public:
    ObjCheckpointspawner_206(int x, int y) : Active(x, y, ObjCheckpointspawner_206_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-checkpointspawner", 21);
#endif
        this->animations = &anim_objcheckpointspawner_206;
        if (!anim_objcheckpointspawner_206_initialized) {
            anim_objcheckpointspawner_206_initialized = true;
            images_objcheckpointspawner_206_0_0[0] = get_internal_image_direct(461);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objcheckpointspawner_206(int x, int y)
{
    return new (Active::pool.create()) ObjCheckpointspawner_206(x, y);
}
class Checkpoints_207 : public Text
{
public:
    Checkpoints_207(int x, int y) : Text(x, y, Checkpoints_207_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Checkpoints", 11);
#endif
        flags &= ~SCROLL;
        width = 25;
        height = 17;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("x 3", 3));
        create_alterables();
    }
};
FrameObject * create_checkpoints_207(int x, int y)
{
    return new (Text::pool.create()) Checkpoints_207(x, y);
}
class UiCheckpoints_208 : public Backdrop
{
public:
    UiCheckpoints_208(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("ui-checkpoints", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_UI_CHECKPOINTS
        manager.frame->back_instances[BACK_ID_UI_CHECKPOINTS].push_back(this);
#endif
        image = get_internal_image(465);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_uicheckpoints_208(int x, int y)
{
    return new (Backdrop::pool.create()) UiCheckpoints_208(x, y);
}
static Image* images_objshootspawner_209_0_0[2];
static Direction direction_objshootspawner_209_0_0 = {0, 10, 10, 0, -1, 2, images_objshootspawner_209_0_0};
static Animation anim_objshootspawner_209_0 = {&direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, NULL, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0, &direction_objshootspawner_209_0_0};
static Image* images_objshootspawner_209_1_0[6];
static Direction direction_objshootspawner_209_1_0 = {0, 25, 25, 0, 10, 6, images_objshootspawner_209_1_0};
static Animation anim_objshootspawner_209_1 = {&direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, NULL, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0, &direction_objshootspawner_209_1_0};
static Animation * anim_array_objshootspawner_209[2] = {&anim_objshootspawner_209_0, &anim_objshootspawner_209_1};
static Animations anim_objshootspawner_209 = {2, &anim_array_objshootspawner_209[0]};
static bool anim_objshootspawner_209_initialized;
class ObjShootspawner_209 : public Active
{
public:
    ObjShootspawner_209(int x, int y) : Active(x, y, ObjShootspawner_209_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-shootspawner", 16);
#endif
        this->animations = &anim_objshootspawner_209;
        if (!anim_objshootspawner_209_initialized) {
            anim_objshootspawner_209_initialized = true;
            images_objshootspawner_209_0_0[0] = get_internal_image_direct(608);
            images_objshootspawner_209_0_0[1] = get_internal_image_direct(603);
            images_objshootspawner_209_1_0[0] = get_internal_image_direct(610);
            images_objshootspawner_209_1_0[1] = get_internal_image_direct(611);
            images_objshootspawner_209_1_0[2] = get_internal_image_direct(612);
            images_objshootspawner_209_1_0[3] = get_internal_image_direct(613);
            images_objshootspawner_209_1_0[4] = get_internal_image_direct(615);
            images_objshootspawner_209_1_0[5] = get_internal_image_direct(616);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objshootspawner_209(int x, int y)
{
    return new (Active::pool.create()) ObjShootspawner_209(x, y);
}
class Wall_210 : public Backdrop
{
public:
    Wall_210(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Wall", 4);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_WALL
        manager.frame->back_instances[BACK_ID_WALL].push_back(this);
#endif
        image = get_internal_image(145);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_wall_210(int x, int y)
{
    return new (Backdrop::pool.create()) Wall_210(x, y);
}
class Backdrop_211 : public Backdrop
{
public:
    Backdrop_211(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop", 8);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP
        manager.frame->back_instances[BACK_ID_BACKDROP].push_back(this);
#endif
        image = get_internal_image(146);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop_211(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop_211(x, y);
}
static Image* images_scroller_212_0_0[1];
static Direction direction_scroller_212_0_0 = {0, 50, 50, 0, 1, 1, images_scroller_212_0_0};
static Animation anim_scroller_212_0 = {&direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, NULL, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0, &direction_scroller_212_0_0};
static Animation * anim_array_scroller_212[1] = {&anim_scroller_212_0};
static Animations anim_scroller_212 = {1, &anim_array_scroller_212[0]};
static bool anim_scroller_212_initialized;
class Scroller_212 : public Active
{
public:
    Scroller_212(int x, int y) : Active(x, y, Scroller_212_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("scroller", 8);
#endif
        this->animations = &anim_scroller_212;
        if (!anim_scroller_212_initialized) {
            anim_scroller_212_initialized = true;
            images_scroller_212_0_0[0] = get_internal_image_direct(144);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_scroller_212(int x, int y)
{
    return new (Active::pool.create()) Scroller_212(x, y);
}
static Image* images_camera_213_0_0[1];
static Direction direction_camera_213_0_0 = {0, 50, 50, 0, 1, 1, images_camera_213_0_0};
static Animation anim_camera_213_0 = {&direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, NULL, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0, &direction_camera_213_0_0};
static Animation * anim_array_camera_213[1] = {&anim_camera_213_0};
static Animations anim_camera_213 = {1, &anim_array_camera_213[0]};
static bool anim_camera_213_initialized;
class Camera_213 : public Active
{
public:
    Camera_213(int x, int y) : Active(x, y, Camera_213_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera", 6);
#endif
        this->animations = &anim_camera_213;
        if (!anim_camera_213_initialized) {
            anim_camera_213_initialized = true;
            images_camera_213_0_0[0] = get_internal_image_direct(158);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camera_213(int x, int y)
{
    return new (Active::pool.create()) Camera_213(x, y);
}
static Image* images_camerachaser_214_0_0[1];
static Direction direction_camerachaser_214_0_0 = {0, 50, 50, 0, 1, 1, images_camerachaser_214_0_0};
static Animation anim_camerachaser_214_0 = {&direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, NULL, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0, &direction_camerachaser_214_0_0};
static Animation * anim_array_camerachaser_214[1] = {&anim_camerachaser_214_0};
static Animations anim_camerachaser_214 = {1, &anim_array_camerachaser_214[0]};
static bool anim_camerachaser_214_initialized;
class CameraChaser_214 : public Active
{
public:
    CameraChaser_214(int x, int y) : Active(x, y, CameraChaser_214_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera chaser", 13);
#endif
        this->animations = &anim_camerachaser_214;
        if (!anim_camerachaser_214_initialized) {
            anim_camerachaser_214_initialized = true;
            images_camerachaser_214_0_0[0] = get_internal_image_direct(157);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerachaser_214(int x, int y)
{
    return new (Active::pool.create()) CameraChaser_214(x, y);
}
static Image* images_player_215_0_0[1];
static Direction direction_player_215_0_0 = {0, 50, 50, 0, 1, 1, images_player_215_0_0};
static Animation anim_player_215_0 = {&direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, NULL, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0, &direction_player_215_0_0};
static Animation * anim_array_player_215[1] = {&anim_player_215_0};
static Animations anim_player_215 = {1, &anim_array_player_215[0]};
static bool anim_player_215_initialized;
class Player_215 : public Active
{
public:
    Player_215(int x, int y) : Active(x, y, Player_215_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Player", 6);
#endif
        set_visible(false);
        this->animations = &anim_player_215;
        if (!anim_player_215_initialized) {
            anim_player_215_initialized = true;
            images_player_215_0_0[0] = get_internal_image_direct(1);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_player_215(int x, int y)
{
    return new (Active::pool.create()) Player_215(x, y);
}
static Image* images_active4_216_0_0[1];
static Direction direction_active4_216_0_0 = {0, 50, 50, 0, 1, 1, images_active4_216_0_0};
static Animation anim_active4_216_0 = {&direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, NULL, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0, &direction_active4_216_0_0};
static Animation * anim_array_active4_216[1] = {&anim_active4_216_0};
static Animations anim_active4_216 = {1, &anim_array_active4_216[0]};
static bool anim_active4_216_initialized;
class Active4_216 : public Active
{
public:
    Active4_216(int x, int y) : Active(x, y, Active4_216_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_216;
        if (!anim_active4_216_initialized) {
            anim_active4_216_initialized = true;
            images_active4_216_0_0[0] = get_internal_image_direct(455);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_216(int x, int y)
{
    return new (Active::pool.create()) Active4_216(x, y);
}
class String2_217 : public Text
{
public:
    String2_217(int x, int y) : Text(x, y, String2_217_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 448;
        height = 75;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("'Congratulations, lawyer Guy\r\nThese unlawful and forbidden energy must obtain approval\r\nI want to thank you for this wonderful world\r\nLawyers and lived to this day,\r\nYou can live for more than 400 years'\r\n\r\ni promise i will make this screen better next update", 259));
        create_alterables();
    }
};
FrameObject * create_string2_217(int x, int y)
{
    return new (Text::pool.create()) String2_217(x, y);
}
class Backdrop_218 : public Backdrop
{
public:
    Backdrop_218(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop", 8);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP
        manager.frame->back_instances[BACK_ID_BACKDROP].push_back(this);
#endif
        image = get_internal_image(164);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop_218(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop_218(x, y);
}
class String3_219 : public Text
{
public:
    String3_219(int x, int y) : Text(x, y, String3_219_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 3", 8);
#endif
        flags &= ~SCROLL;
        width = 448;
        height = 32;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_TOP;
        add_line(chowstring("clear time: 132.4", 17));
        create_alterables();
    }
};
FrameObject * create_string3_219(int x, int y)
{
    return new (Text::pool.create()) String3_219(x, y);
}
class String4_220 : public Text
{
public:
    String4_220(int x, int y) : Text(x, y, String4_220_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 4", 8);
#endif
        flags &= ~SCROLL;
        width = 448;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("try and beat these sick timescores for an extra challenge\r\n\r\n500 seconds: pat on back\r\n300 seconds: give self a medal\r\n240 seconds: developer personal best\r\n\r\n(and please, now that you've beaten the level, fill out the playtester survey at robwel.ch/lawyer-guy)", 261));
        create_alterables();
    }
};
FrameObject * create_string4_220(int x, int y)
{
    return new (Text::pool.create()) String4_220(x, y);
}
FRAMEOBJECT_IMPL(Active)
FRAMEOBJECT_IMPL(Text)
FRAMEOBJECT_IMPL(QuickBackdrop)
FRAMEOBJECT_IMPL(FrameObject)
FRAMEOBJECT_IMPL(Backdrop)
