#include "objects.h"
#include "common.h"
#include "fonts.h"
#include "font.h"
#include "lists.h"

class String2_0 : public Text
{
public:
    String2_0(int x, int y) : Text(x, y, String2_0_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 317;
        height = 360;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("Thanks for downloading Lawyer Guy. This is version 3.54. This is the highly experimental Linux build, and the game WILL segfault and act weird. Please report any weirdness to me, but bear in mind that there's probably not much I can do - I didn't make the runtime!\r\n\r\nCurrently, I know that the text doesn't display properly (this should be fixed by installing the Windows font 'Small Fonts'), the overlay is gone, the menu cursor repeats inputs, some physics is different, and the controls are not bindable (this is a limit of the Linux runtime, there's nothing I can do - It's the arrows, Z, X, C and V). \r\n\r\nWhen you're done playing the game, please visit robwel.ch/lawyer-guy and fill out the playtester feedback form. I take feedback very seriously, and I will also put your name in the credits!\r\n\r\nThe site is frequently updated with new builds and levels, so check back often!\r\n\r\nPress any key to continue.", 913));
        create_alterables();
    }
};
FrameObject * create_string2_0(int x, int y)
{
    return new (Text::pool.create()) String2_0(x, y);
}
static Image* images_active_1_0_0[1];
static Direction direction_active_1_0_0 = {0, 50, 50, 0, 1, 1, images_active_1_0_0};
static Animation anim_active_1_0 = {&direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, NULL, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0};
static Animation * anim_array_active_1[1] = {&anim_active_1_0};
static Animations anim_active_1 = {1, &anim_array_active_1[0]};
static bool anim_active_1_initialized;
class Active_1 : public Active
{
public:
    Active_1(int x, int y) : Active(x, y, Active_1_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_1;
        if (!anim_active_1_initialized) {
            anim_active_1_initialized = true;
            images_active_1_0_0[0] = get_internal_image_direct(454);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_1(int x, int y)
{
    return new (Active::pool.create()) Active_1(x, y);
}
static Image* images_active2_2_0_0[1];
static Direction direction_active2_2_0_0 = {0, 50, 50, 0, 1, 1, images_active2_2_0_0};
static Animation anim_active2_2_0 = {&direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, NULL, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0};
static Animation * anim_array_active2_2[1] = {&anim_active2_2_0};
static Animations anim_active2_2 = {1, &anim_array_active2_2[0]};
static bool anim_active2_2_initialized;
class Active2_2 : public Active
{
public:
    Active2_2(int x, int y) : Active(x, y, Active2_2_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_2;
        if (!anim_active2_2_initialized) {
            anim_active2_2_initialized = true;
            images_active2_2_0_0[0] = get_internal_image_direct(537);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_active2_2(int x, int y)
{
    return new (Active::pool.create()) Active2_2(x, y);
}
static Image* images_active3_3_0_0[1];
static Direction direction_active3_3_0_0 = {0, 50, 50, 0, 1, 1, images_active3_3_0_0};
static Animation anim_active3_3_0 = {&direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, NULL, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0, &direction_active3_3_0_0};
static Animation * anim_array_active3_3[1] = {&anim_active3_3_0};
static Animations anim_active3_3 = {1, &anim_array_active3_3[0]};
static bool anim_active3_3_initialized;
class Active3_3 : public Active
{
public:
    Active3_3(int x, int y) : Active(x, y, Active3_3_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_3;
        if (!anim_active3_3_initialized) {
            anim_active3_3_initialized = true;
            images_active3_3_0_0[0] = get_internal_image_direct(545);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(24);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_active3_3(int x, int y)
{
    return new (Active::pool.create()) Active3_3(x, y);
}
static Image* images_active4_4_0_0[1];
static Direction direction_active4_4_0_0 = {0, 50, 50, 0, 1, 1, images_active4_4_0_0};
static Animation anim_active4_4_0 = {&direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, NULL, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0, &direction_active4_4_0_0};
static Animation * anim_array_active4_4[1] = {&anim_active4_4_0};
static Animations anim_active4_4 = {1, &anim_array_active4_4[0]};
static bool anim_active4_4_initialized;
class Active4_4 : public Active
{
public:
    Active4_4(int x, int y) : Active(x, y, Active4_4_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_4;
        if (!anim_active4_4_initialized) {
            anim_active4_4_initialized = true;
            images_active4_4_0_0[0] = get_internal_image_direct(544);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(16);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_active4_4(int x, int y)
{
    return new (Active::pool.create()) Active4_4(x, y);
}
static Image* images_active5_5_0_0[1];
static Direction direction_active5_5_0_0 = {0, 50, 50, 0, 1, 1, images_active5_5_0_0};
static Animation anim_active5_5_0 = {&direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, NULL, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0, &direction_active5_5_0_0};
static Animation * anim_array_active5_5[1] = {&anim_active5_5_0};
static Animations anim_active5_5 = {1, &anim_array_active5_5[0]};
static bool anim_active5_5_initialized;
class Active5_5 : public Active
{
public:
    Active5_5(int x, int y) : Active(x, y, Active5_5_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 5", 8);
#endif
        this->animations = &anim_active5_5;
        if (!anim_active5_5_initialized) {
            anim_active5_5_initialized = true;
            images_active5_5_0_0[0] = get_internal_image_direct(458);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(8);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_active5_5(int x, int y)
{
    return new (Active::pool.create()) Active5_5(x, y);
}
static Image* images_active6_6_0_0[1];
static Direction direction_active6_6_0_0 = {0, 50, 50, 0, 1, 1, images_active6_6_0_0};
static Animation anim_active6_6_0 = {&direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, NULL, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0, &direction_active6_6_0_0};
static Animation * anim_array_active6_6[1] = {&anim_active6_6_0};
static Animations anim_active6_6 = {1, &anim_array_active6_6[0]};
static bool anim_active6_6_initialized;
class Active6_6 : public Active
{
public:
    Active6_6(int x, int y) : Active(x, y, Active6_6_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_6;
        if (!anim_active6_6_initialized) {
            anim_active6_6_initialized = true;
            images_active6_6_0_0[0] = get_internal_image_direct(450);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_6(int x, int y)
{
    return new (Active::pool.create()) Active6_6(x, y);
}
class Backdrop_7 : public Backdrop
{
public:
    Backdrop_7(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop", 8);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP
        manager.frame->back_instances[BACK_ID_BACKDROP].push_back(this);
#endif
        image = get_internal_image(459);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop_7(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop_7(x, y);
}
static Image* images_active2_8_0_0[1];
static Direction direction_active2_8_0_0 = {0, 50, 50, 0, 1, 1, images_active2_8_0_0};
static Animation anim_active2_8_0 = {&direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, NULL, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0, &direction_active2_8_0_0};
static Animation * anim_array_active2_8[1] = {&anim_active2_8_0};
static Animations anim_active2_8 = {1, &anim_array_active2_8[0]};
static bool anim_active2_8_initialized;
class Active2_8 : public Active
{
public:
    Active2_8(int x, int y) : Active(x, y, Active2_8_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_8;
        if (!anim_active2_8_initialized) {
            anim_active2_8_initialized = true;
            images_active2_8_0_0[0] = get_internal_image_direct(488);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_8(int x, int y)
{
    return new (Active::pool.create()) Active2_8(x, y);
}
static Image* images_active4_9_0_0[1];
static Direction direction_active4_9_0_0 = {0, 50, 50, 0, 1, 1, images_active4_9_0_0};
static Animation anim_active4_9_0 = {&direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, NULL, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0, &direction_active4_9_0_0};
static Animation * anim_array_active4_9[1] = {&anim_active4_9_0};
static Animations anim_active4_9 = {1, &anim_array_active4_9[0]};
static bool anim_active4_9_initialized;
class Active4_9 : public Active
{
public:
    Active4_9(int x, int y) : Active(x, y, Active4_9_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        flags &= ~SCROLL;
        this->animations = &anim_active4_9;
        if (!anim_active4_9_initialized) {
            anim_active4_9_initialized = true;
            images_active4_9_0_0[0] = get_internal_image_direct(503);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_9(int x, int y)
{
    return new (Active::pool.create()) Active4_9(x, y);
}
static Image* images_active5_10_0_0[1];
static Direction direction_active5_10_0_0 = {0, 50, 50, 0, 1, 1, images_active5_10_0_0};
static Animation anim_active5_10_0 = {&direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, NULL, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0, &direction_active5_10_0_0};
static Animation * anim_array_active5_10[1] = {&anim_active5_10_0};
static Animations anim_active5_10 = {1, &anim_array_active5_10[0]};
static bool anim_active5_10_initialized;
class Active5_10 : public Active
{
public:
    Active5_10(int x, int y) : Active(x, y, Active5_10_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 5", 8);
#endif
        this->animations = &anim_active5_10;
        if (!anim_active5_10_initialized) {
            anim_active5_10_initialized = true;
            images_active5_10_0_0[0] = get_internal_image_direct(536);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active5_10(int x, int y)
{
    return new (Active::pool.create()) Active5_10(x, y);
}
static Image* images_active7_11_0_0[1];
static Direction direction_active7_11_0_0 = {0, 50, 50, 0, 1, 1, images_active7_11_0_0};
static Animation anim_active7_11_0 = {&direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, NULL, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0, &direction_active7_11_0_0};
static Animation * anim_array_active7_11[1] = {&anim_active7_11_0};
static Animations anim_active7_11 = {1, &anim_array_active7_11[0]};
static bool anim_active7_11_initialized;
class Active7_11 : public Active
{
public:
    Active7_11(int x, int y) : Active(x, y, Active7_11_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 7", 8);
#endif
        this->animations = &anim_active7_11;
        if (!anim_active7_11_initialized) {
            anim_active7_11_initialized = true;
            images_active7_11_0_0[0] = get_internal_image_direct(550);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active7_11(int x, int y)
{
    return new (Active::pool.create()) Active7_11(x, y);
}
static Image* images_active8_12_0_0[1];
static Direction direction_active8_12_0_0 = {0, 50, 50, 0, 1, 1, images_active8_12_0_0};
static Animation anim_active8_12_0 = {&direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, NULL, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0, &direction_active8_12_0_0};
static Animation * anim_array_active8_12[1] = {&anim_active8_12_0};
static Animations anim_active8_12 = {1, &anim_array_active8_12[0]};
static bool anim_active8_12_initialized;
class Active8_12 : public Active
{
public:
    Active8_12(int x, int y) : Active(x, y, Active8_12_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 8", 8);
#endif
        this->animations = &anim_active8_12;
        if (!anim_active8_12_initialized) {
            anim_active8_12_initialized = true;
            images_active8_12_0_0[0] = get_internal_image_direct(551);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active8_12(int x, int y)
{
    return new (Active::pool.create()) Active8_12(x, y);
}
static Image* images_active9_13_0_0[2];
static Direction direction_active9_13_0_0 = {0, 50, 50, 0, -1, 2, images_active9_13_0_0};
static Animation anim_active9_13_0 = {&direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, NULL, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0, &direction_active9_13_0_0};
static Animation * anim_array_active9_13[1] = {&anim_active9_13_0};
static Animations anim_active9_13 = {1, &anim_array_active9_13[0]};
static bool anim_active9_13_initialized;
class Active9_13 : public Active
{
public:
    Active9_13(int x, int y) : Active(x, y, Active9_13_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 9", 8);
#endif
        this->animations = &anim_active9_13;
        if (!anim_active9_13_initialized) {
            anim_active9_13_initialized = true;
            images_active9_13_0_0[0] = get_internal_image_direct(565);
            images_active9_13_0_0[1] = get_internal_image_direct(567);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(1, 110);
        alterables->values.set(2, 260);
        alterables->values.set(3, 80);
    }
};
FrameObject * create_active9_13(int x, int y)
{
    return new (Active::pool.create()) Active9_13(x, y);
}
static Image* images_active10_14_0_0[2];
static Direction direction_active10_14_0_0 = {0, 50, 50, 0, -1, 2, images_active10_14_0_0};
static Animation anim_active10_14_0 = {&direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, NULL, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0, &direction_active10_14_0_0};
static Animation * anim_array_active10_14[1] = {&anim_active10_14_0};
static Animations anim_active10_14 = {1, &anim_array_active10_14[0]};
static bool anim_active10_14_initialized;
class Active10_14 : public Active
{
public:
    Active10_14(int x, int y) : Active(x, y, Active10_14_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 10", 9);
#endif
        this->animations = &anim_active10_14;
        if (!anim_active10_14_initialized) {
            anim_active10_14_initialized = true;
            images_active10_14_0_0[0] = get_internal_image_direct(557);
            images_active10_14_0_0[1] = get_internal_image_direct(556);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 51);
        create_alterables();
    }
};
FrameObject * create_active10_14(int x, int y)
{
    return new (Active::pool.create()) Active10_14(x, y);
}
class QuickBackdrop_15 : public QuickBackdrop
{
public:
    QuickBackdrop_15(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 168;
        color = Color(0, 0, 0);
        gradient_type = NONE_GRADIENT;
        outline = 0;
    }
};
FrameObject * create_quickbackdrop_15(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop_15(x, y);
}
static Image* images_active11_16_0_0[1];
static Direction direction_active11_16_0_0 = {0, 50, 50, 0, 1, 1, images_active11_16_0_0};
static Animation anim_active11_16_0 = {&direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, NULL, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0, &direction_active11_16_0_0};
static Animation * anim_array_active11_16[1] = {&anim_active11_16_0};
static Animations anim_active11_16 = {1, &anim_array_active11_16[0]};
static bool anim_active11_16_initialized;
class Active11_16 : public Active
{
public:
    Active11_16(int x, int y) : Active(x, y, Active11_16_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 11", 9);
#endif
        this->animations = &anim_active11_16;
        if (!anim_active11_16_initialized) {
            anim_active11_16_initialized = true;
            images_active11_16_0_0[0] = get_internal_image_direct(559);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active11_16(int x, int y)
{
    return new (Active::pool.create()) Active11_16(x, y);
}
static Image* images_rando_17_0_0[1];
static Direction direction_rando_17_0_0 = {0, 50, 50, 0, 1, 1, images_rando_17_0_0};
static Animation anim_rando_17_0 = {&direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, NULL, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0, &direction_rando_17_0_0};
static Animation * anim_array_rando_17[1] = {&anim_rando_17_0};
static Animations anim_rando_17 = {1, &anim_array_rando_17[0]};
static bool anim_rando_17_initialized;
class Rando_17 : public Active
{
public:
    Rando_17(int x, int y) : Active(x, y, Rando_17_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("rando", 5);
#endif
        this->animations = &anim_rando_17;
        if (!anim_rando_17_initialized) {
            anim_rando_17_initialized = true;
            images_rando_17_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_rando_17(int x, int y)
{
    return new (Active::pool.create()) Rando_17(x, y);
}
static Image* images_active13_18_0_0[1];
static Direction direction_active13_18_0_0 = {0, 50, 50, 0, 1, 1, images_active13_18_0_0};
static Animation anim_active13_18_0 = {&direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, NULL, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0, &direction_active13_18_0_0};
static Animation * anim_array_active13_18[1] = {&anim_active13_18_0};
static Animations anim_active13_18 = {1, &anim_array_active13_18[0]};
static bool anim_active13_18_initialized;
class Active13_18 : public Active
{
public:
    Active13_18(int x, int y) : Active(x, y, Active13_18_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 13", 9);
#endif
        this->animations = &anim_active13_18;
        if (!anim_active13_18_initialized) {
            anim_active13_18_initialized = true;
            images_active13_18_0_0[0] = get_internal_image_direct(554);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active13_18(int x, int y)
{
    return new (Active::pool.create()) Active13_18(x, y);
}
class String2_19 : public Text
{
public:
    String2_19(int x, int y) : Text(x, y, String2_19_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 640;
        height = 168;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("CREATED AND DEVELOPED BY\r\nRob Welch", 35));
        add_line(chowstring("FEATURING THE MOTION CAPTURED PERFORMANCE OF\r\nTom Hanks", 55));
        add_line(chowstring("BASED ON A NAPKIN DOODLE BY\r\nMatt Dodds", 39));
        add_line(chowstring("LAWYER GUY'S SENIOR COOL PLAYTESTERS\r\nZmansjams\\Smajsnamz\r\nJon Dong Williams\r\nSpecs\r\nSoup and Sauce", 99));
        add_line(chowstring("LAWYER GUY'S COOL PLAYTESTERS\r\nLames\r\nZachary Richardson\r\nLou\r\nNabil\r\nLiam Tilling\r\nMoogs Moogerson\r\nSef The One Who Hates This Kind Of Game\r\nRd", 144));
        add_line(chowstring("ADAM SANDLER EXPERT\r\nAniMitch", 29));
        add_line(chowstring("SPECIAL THANKS\r\nSebastian Janisz\r\nAlbin Hanberg", 47));
        add_line(chowstring("DEMO SOUNDTRACKS\r\nDemo 1 - Zalza vs Dalezy - V\303\244rldens Snabbaste Rymdskepp\r\nDemo 2 - Elwood - Sweet Dreams\r\nDemo 3 - 4mat - Tetra & 4mat - Atomic Sons", 150));
        add_line(chowstring("PLAYER\r\nYou!", 12));
        create_alterables();
    }
};
FrameObject * create_string2_19(int x, int y)
{
    return new (Text::pool.create()) String2_19(x, y);
}
static Image* images_active14_20_0_0[4];
static Direction direction_active14_20_0_0 = {0, 20, 20, 0, -1, 4, images_active14_20_0_0};
static Animation anim_active14_20_0 = {&direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, NULL, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0, &direction_active14_20_0_0};
static Animation * anim_array_active14_20[1] = {&anim_active14_20_0};
static Animations anim_active14_20 = {1, &anim_array_active14_20[0]};
static bool anim_active14_20_initialized;
class Active14_20 : public Active
{
public:
    Active14_20(int x, int y) : Active(x, y, Active14_20_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 14", 9);
#endif
        this->animations = &anim_active14_20;
        if (!anim_active14_20_initialized) {
            anim_active14_20_initialized = true;
            images_active14_20_0_0[0] = get_internal_image_direct(558);
            images_active14_20_0_0[1] = get_internal_image_direct(560);
            images_active14_20_0_0[2] = get_internal_image_direct(561);
            images_active14_20_0_0[3] = get_internal_image_direct(560);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active14_20(int x, int y)
{
    return new (Active::pool.create()) Active14_20(x, y);
}
static Image* images_camera_21_0_0[1];
static Direction direction_camera_21_0_0 = {0, 50, 50, 0, 1, 1, images_camera_21_0_0};
static Animation anim_camera_21_0 = {&direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, NULL, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0, &direction_camera_21_0_0};
static Animation * anim_array_camera_21[1] = {&anim_camera_21_0};
static Animations anim_camera_21 = {1, &anim_array_camera_21[0]};
static bool anim_camera_21_initialized;
class Camera_21 : public Active
{
public:
    Camera_21(int x, int y) : Active(x, y, Camera_21_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera", 6);
#endif
        set_visible(false);
        this->animations = &anim_camera_21;
        if (!anim_camera_21_initialized) {
            anim_camera_21_initialized = true;
            images_camera_21_0_0[0] = get_internal_image_direct(158);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camera_21(int x, int y)
{
    return new (Active::pool.create()) Camera_21(x, y);
}
static Image* images_camerachaser_22_0_0[1];
static Direction direction_camerachaser_22_0_0 = {0, 50, 50, 0, 1, 1, images_camerachaser_22_0_0};
static Animation anim_camerachaser_22_0 = {&direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, NULL, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0, &direction_camerachaser_22_0_0};
static Animation * anim_array_camerachaser_22[1] = {&anim_camerachaser_22_0};
static Animations anim_camerachaser_22 = {1, &anim_array_camerachaser_22[0]};
static bool anim_camerachaser_22_initialized;
class CameraChaser_22 : public Active
{
public:
    CameraChaser_22(int x, int y) : Active(x, y, CameraChaser_22_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera chaser", 13);
#endif
        set_visible(false);
        this->animations = &anim_camerachaser_22;
        if (!anim_camerachaser_22_initialized) {
            anim_camerachaser_22_initialized = true;
            images_camerachaser_22_0_0[0] = get_internal_image_direct(157);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerachaser_22(int x, int y)
{
    return new (Active::pool.create()) CameraChaser_22(x, y);
}
static Image* images_blockmaker_23_0_0[1];
static Direction direction_blockmaker_23_0_0 = {0, 50, 50, 0, 1, 1, images_blockmaker_23_0_0};
static Animation anim_blockmaker_23_0 = {&direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, NULL, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0, &direction_blockmaker_23_0_0};
static Animation * anim_array_blockmaker_23[1] = {&anim_blockmaker_23_0};
static Animations anim_blockmaker_23 = {1, &anim_array_blockmaker_23[0]};
static bool anim_blockmaker_23_initialized;
class Blockmaker_23 : public Active
{
public:
    Blockmaker_23(int x, int y) : Active(x, y, Blockmaker_23_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("blockmaker", 10);
#endif
        this->animations = &anim_blockmaker_23;
        if (!anim_blockmaker_23_initialized) {
            anim_blockmaker_23_initialized = true;
            images_blockmaker_23_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_blockmaker_23(int x, int y)
{
    return new (Active::pool.create()) Blockmaker_23(x, y);
}
static Image* images_roadmaker_24_0_0[1];
static Direction direction_roadmaker_24_0_0 = {0, 50, 50, 0, 1, 1, images_roadmaker_24_0_0};
static Animation anim_roadmaker_24_0 = {&direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, NULL, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0, &direction_roadmaker_24_0_0};
static Animation * anim_array_roadmaker_24[1] = {&anim_roadmaker_24_0};
static Animations anim_roadmaker_24 = {1, &anim_array_roadmaker_24[0]};
static bool anim_roadmaker_24_initialized;
class Roadmaker_24 : public Active
{
public:
    Roadmaker_24(int x, int y) : Active(x, y, Roadmaker_24_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("roadmaker", 9);
#endif
        this->animations = &anim_roadmaker_24;
        if (!anim_roadmaker_24_initialized) {
            anim_roadmaker_24_initialized = true;
            images_roadmaker_24_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_roadmaker_24(int x, int y)
{
    return new (Active::pool.create()) Roadmaker_24(x, y);
}
static Image* images_active15_25_0_0[1];
static Direction direction_active15_25_0_0 = {0, 50, 50, 0, 1, 1, images_active15_25_0_0};
static Animation anim_active15_25_0 = {&direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, NULL, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0, &direction_active15_25_0_0};
static Animation * anim_array_active15_25[1] = {&anim_active15_25_0};
static Animations anim_active15_25 = {1, &anim_array_active15_25[0]};
static bool anim_active15_25_initialized;
class Active15_25 : public Active
{
public:
    Active15_25(int x, int y) : Active(x, y, Active15_25_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 15", 9);
#endif
        this->animations = &anim_active15_25;
        if (!anim_active15_25_initialized) {
            anim_active15_25_initialized = true;
            images_active15_25_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active15_25(int x, int y)
{
    return new (Active::pool.create()) Active15_25(x, y);
}
static Image* images_roadlimit_26_0_0[1];
static Direction direction_roadlimit_26_0_0 = {0, 50, 50, 0, 1, 1, images_roadlimit_26_0_0};
static Animation anim_roadlimit_26_0 = {&direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, NULL, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0, &direction_roadlimit_26_0_0};
static Animation * anim_array_roadlimit_26[1] = {&anim_roadlimit_26_0};
static Animations anim_roadlimit_26 = {1, &anim_array_roadlimit_26[0]};
static bool anim_roadlimit_26_initialized;
class Roadlimit_26 : public Active
{
public:
    Roadlimit_26(int x, int y) : Active(x, y, Roadlimit_26_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("roadlimit", 9);
#endif
        this->animations = &anim_roadlimit_26;
        if (!anim_roadlimit_26_initialized) {
            anim_roadlimit_26_initialized = true;
            images_roadlimit_26_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_roadlimit_26(int x, int y)
{
    return new (Active::pool.create()) Roadlimit_26(x, y);
}
static Image* images_lginitpos_27_0_0[1];
static Direction direction_lginitpos_27_0_0 = {0, 50, 50, 0, 1, 1, images_lginitpos_27_0_0};
static Animation anim_lginitpos_27_0 = {&direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, NULL, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0, &direction_lginitpos_27_0_0};
static Animation * anim_array_lginitpos_27[1] = {&anim_lginitpos_27_0};
static Animations anim_lginitpos_27 = {1, &anim_array_lginitpos_27[0]};
static bool anim_lginitpos_27_initialized;
class Lginitpos_27 : public Active
{
public:
    Lginitpos_27(int x, int y) : Active(x, y, Lginitpos_27_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("lginitpos", 9);
#endif
        set_visible(false);
        this->animations = &anim_lginitpos_27;
        if (!anim_lginitpos_27_initialized) {
            anim_lginitpos_27_initialized = true;
            images_lginitpos_27_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_lginitpos_27(int x, int y)
{
    return new (Active::pool.create()) Lginitpos_27(x, y);
}
class Backdrop2_28 : public Backdrop
{
public:
    Backdrop2_28(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 2", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_2
        manager.frame->back_instances[BACK_ID_BACKDROP_2].push_back(this);
#endif
        image = get_internal_image(540);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop2_28(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop2_28(x, y);
}
class Backdrop3_29 : public Backdrop
{
public:
    Backdrop3_29(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 3", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_3
        manager.frame->back_instances[BACK_ID_BACKDROP_3].push_back(this);
#endif
        image = get_internal_image(541);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop3_29(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop3_29(x, y);
}
class Backdrop4_30 : public Backdrop
{
public:
    Backdrop4_30(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 4", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_4
        manager.frame->back_instances[BACK_ID_BACKDROP_4].push_back(this);
#endif
        image = get_internal_image(542);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop4_30(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop4_30(x, y);
}
class Backdrop5_31 : public Backdrop
{
public:
    Backdrop5_31(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 5", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_5
        manager.frame->back_instances[BACK_ID_BACKDROP_5].push_back(this);
#endif
        image = get_internal_image(543);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop5_31(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop5_31(x, y);
}
class Backdrop6_32 : public Backdrop
{
public:
    Backdrop6_32(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 6", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_6
        manager.frame->back_instances[BACK_ID_BACKDROP_6].push_back(this);
#endif
        image = get_internal_image(546);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop6_32(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop6_32(x, y);
}
class QuickBackdrop2_33 : public QuickBackdrop
{
public:
    QuickBackdrop2_33(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 2", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 30;
        image = get_internal_image(549);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop2_33(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop2_33(x, y);
}
class QuickBackdrop3_34 : public QuickBackdrop
{
public:
    QuickBackdrop3_34(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 3", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 100;
        image = get_internal_image(538);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop3_34(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop3_34(x, y);
}
class String3_35 : public Text
{
public:
    String3_35(int x, int y) : Text(x, y, String3_35_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 3", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy is a jumping and shooting action game, so make sure to jump and shoot whenever possible.", 99));
        create_alterables();
    }
};
FrameObject * create_string3_35(int x, int y)
{
    return new (Text::pool.create()) String3_35(x, y);
}
class String4_36 : public Text
{
public:
    String4_36(int x, int y) : Text(x, y, String4_36_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 4", 8);
#endif
        flags &= ~SCROLL;
        width = 176;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy can execute a high-speed dash to clear large gaps and escape enemies. You can change the style of dash control in the settings menu.", 143));
        create_alterables();
    }
};
FrameObject * create_string4_36(int x, int y)
{
    return new (Text::pool.create()) String4_36(x, y);
}
class String5_37 : public Text
{
public:
    String5_37(int x, int y) : Text(x, y, String5_37_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 5", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy is equipped with a portable checkpoint device. Simply hold the button to create a checkpoint. Checkpoints can only exist on solid ground.", 148));
        create_alterables();
    }
};
FrameObject * create_string5_37(int x, int y)
{
    return new (Text::pool.create()) String5_37(x, y);
}
class Backdrop7_38 : public Backdrop
{
public:
    Backdrop7_38(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 7", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_7
        manager.frame->back_instances[BACK_ID_BACKDROP_7].push_back(this);
#endif
        image = get_internal_image(539);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop7_38(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop7_38(x, y);
}
class Backdrop8_39 : public Backdrop
{
public:
    Backdrop8_39(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 8", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_8
        manager.frame->back_instances[BACK_ID_BACKDROP_8].push_back(this);
#endif
        image = get_internal_image(547);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop8_39(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop8_39(x, y);
}
class Backdrop9_40 : public Backdrop
{
public:
    Backdrop9_40(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 9", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_9
        manager.frame->back_instances[BACK_ID_BACKDROP_9].push_back(this);
#endif
        image = get_internal_image(548);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop9_40(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop9_40(x, y);
}
static Image* images_menudatastore_41_0_0[1];
static Direction direction_menudatastore_41_0_0 = {0, 50, 50, 0, 1, 1, images_menudatastore_41_0_0};
static Animation anim_menudatastore_41_0 = {&direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, NULL, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0, &direction_menudatastore_41_0_0};
static Animation * anim_array_menudatastore_41[1] = {&anim_menudatastore_41_0};
static Animations anim_menudatastore_41 = {1, &anim_array_menudatastore_41[0]};
static bool anim_menudatastore_41_initialized;
class MenuDataStore_41 : public Active
{
public:
    MenuDataStore_41(int x, int y) : Active(x, y, MenuDataStore_41_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MenuDataStore", 13);
#endif
        this->animations = &anim_menudatastore_41;
        if (!anim_menudatastore_41_initialized) {
            anim_menudatastore_41_initialized = true;
            images_menudatastore_41_0_0[0] = get_internal_image_direct(6);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->strings.set(0, str_play_0);
        alterables->strings.set(1, str_main_1);
        alterables->strings.set(2, str_edit_controls_2);
    }
};
FrameObject * create_menudatastore_41(int x, int y)
{
    return new (Active::pool.create()) MenuDataStore_41(x, y);
}
static Image* images_graphicdashtype_42_0_0[1];
static Direction direction_graphicdashtype_42_0_0 = {0, 50, 50, 0, 1, 1, images_graphicdashtype_42_0_0};
static Animation anim_graphicdashtype_42_0 = {&direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, NULL, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0, &direction_graphicdashtype_42_0_0};
static Image* images_graphicdashtype_42_1_0[1];
static Direction direction_graphicdashtype_42_1_0 = {0, 50, 50, 0, 1, 1, images_graphicdashtype_42_1_0};
static Animation anim_graphicdashtype_42_1 = {&direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, NULL, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0, &direction_graphicdashtype_42_1_0};
static Animation * anim_array_graphicdashtype_42[2] = {&anim_graphicdashtype_42_0, &anim_graphicdashtype_42_1};
static Animations anim_graphicdashtype_42 = {2, &anim_array_graphicdashtype_42[0]};
static bool anim_graphicdashtype_42_initialized;
class GraphicDashtype_42 : public Active
{
public:
    GraphicDashtype_42(int x, int y) : Active(x, y, GraphicDashtype_42_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("graphic-dashtype", 16);
#endif
        this->animations = &anim_graphicdashtype_42;
        if (!anim_graphicdashtype_42_initialized) {
            anim_graphicdashtype_42_initialized = true;
            images_graphicdashtype_42_0_0[0] = get_internal_image_direct(566);
            images_graphicdashtype_42_1_0[0] = get_internal_image_direct(564);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_graphicdashtype_42(int x, int y)
{
    return new (Active::pool.create()) GraphicDashtype_42(x, y);
}
static Image* images_active16_43_0_0[1];
static Direction direction_active16_43_0_0 = {0, 50, 50, 0, 1, 1, images_active16_43_0_0};
static Animation anim_active16_43_0 = {&direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, NULL, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0, &direction_active16_43_0_0};
static Animation * anim_array_active16_43[1] = {&anim_active16_43_0};
static Animations anim_active16_43 = {1, &anim_array_active16_43[0]};
static bool anim_active16_43_initialized;
class Active16_43 : public Active
{
public:
    Active16_43(int x, int y) : Active(x, y, Active16_43_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 16", 9);
#endif
        this->animations = &anim_active16_43;
        if (!anim_active16_43_initialized) {
            anim_active16_43_initialized = true;
            images_active16_43_0_0[0] = get_internal_image_direct(578);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active16_43(int x, int y)
{
    return new (Active::pool.create()) Active16_43(x, y);
}
static Image* images_active12_44_0_0[1];
static Direction direction_active12_44_0_0 = {0, 50, 50, 0, 1, 1, images_active12_44_0_0};
static Animation anim_active12_44_0 = {&direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, NULL, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0, &direction_active12_44_0_0};
static Animation * anim_array_active12_44[1] = {&anim_active12_44_0};
static Animations anim_active12_44 = {1, &anim_array_active12_44[0]};
static bool anim_active12_44_initialized;
class Active12_44 : public Active
{
public:
    Active12_44(int x, int y) : Active(x, y, Active12_44_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 12", 9);
#endif
        this->animations = &anim_active12_44;
        if (!anim_active12_44_initialized) {
            anim_active12_44_initialized = true;
            images_active12_44_0_0[0] = get_internal_image_direct(563);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active12_44(int x, int y)
{
    return new (Active::pool.create()) Active12_44(x, y);
}
static Image* images_active17_45_0_0[1];
static Direction direction_active17_45_0_0 = {0, 50, 50, 0, 1, 1, images_active17_45_0_0};
static Animation anim_active17_45_0 = {&direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, NULL, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0, &direction_active17_45_0_0};
static Animation * anim_array_active17_45[1] = {&anim_active17_45_0};
static Animations anim_active17_45 = {1, &anim_array_active17_45[0]};
static bool anim_active17_45_initialized;
class Active17_45 : public Active
{
public:
    Active17_45(int x, int y) : Active(x, y, Active17_45_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 17", 9);
#endif
        this->animations = &anim_active17_45;
        if (!anim_active17_45_initialized) {
            anim_active17_45_initialized = true;
            images_active17_45_0_0[0] = get_internal_image_direct(570);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active17_45(int x, int y)
{
    return new (Active::pool.create()) Active17_45(x, y);
}
static Image* images_graphicscreenshake_46_0_0[1];
static Direction direction_graphicscreenshake_46_0_0 = {0, 50, 50, 0, 1, 1, images_graphicscreenshake_46_0_0};
static Animation anim_graphicscreenshake_46_0 = {&direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, NULL, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0, &direction_graphicscreenshake_46_0_0};
static Image* images_graphicscreenshake_46_1_0[1];
static Direction direction_graphicscreenshake_46_1_0 = {0, 50, 50, 0, 1, 1, images_graphicscreenshake_46_1_0};
static Animation anim_graphicscreenshake_46_1 = {&direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, NULL, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0, &direction_graphicscreenshake_46_1_0};
static Animation * anim_array_graphicscreenshake_46[2] = {&anim_graphicscreenshake_46_0, &anim_graphicscreenshake_46_1};
static Animations anim_graphicscreenshake_46 = {2, &anim_array_graphicscreenshake_46[0]};
static bool anim_graphicscreenshake_46_initialized;
class GraphicScreenshake_46 : public Active
{
public:
    GraphicScreenshake_46(int x, int y) : Active(x, y, GraphicScreenshake_46_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("graphic-screenshake", 19);
#endif
        this->animations = &anim_graphicscreenshake_46;
        if (!anim_graphicscreenshake_46_initialized) {
            anim_graphicscreenshake_46_initialized = true;
            images_graphicscreenshake_46_0_0[0] = get_internal_image_direct(573);
            images_graphicscreenshake_46_1_0[0] = get_internal_image_direct(577);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_graphicscreenshake_46(int x, int y)
{
    return new (Active::pool.create()) GraphicScreenshake_46(x, y);
}
static Image* images_active20_47_0_0[1];
static Direction direction_active20_47_0_0 = {0, 50, 50, 0, 1, 1, images_active20_47_0_0};
static Animation anim_active20_47_0 = {&direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, NULL, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0, &direction_active20_47_0_0};
static Animation * anim_array_active20_47[1] = {&anim_active20_47_0};
static Animations anim_active20_47 = {1, &anim_array_active20_47[0]};
static bool anim_active20_47_initialized;
class Active20_47 : public Active
{
public:
    Active20_47(int x, int y) : Active(x, y, Active20_47_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 20", 9);
#endif
        this->animations = &anim_active20_47;
        if (!anim_active20_47_initialized) {
            anim_active20_47_initialized = true;
            images_active20_47_0_0[0] = get_internal_image_direct(553);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active20_47(int x, int y)
{
    return new (Active::pool.create()) Active20_47(x, y);
}
static Image* images_active21_48_0_0[1];
static Direction direction_active21_48_0_0 = {0, 50, 50, 0, 1, 1, images_active21_48_0_0};
static Animation anim_active21_48_0 = {&direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, NULL, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0, &direction_active21_48_0_0};
static Animation * anim_array_active21_48[1] = {&anim_active21_48_0};
static Animations anim_active21_48 = {1, &anim_array_active21_48[0]};
static bool anim_active21_48_initialized;
class Active21_48 : public Active
{
public:
    Active21_48(int x, int y) : Active(x, y, Active21_48_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 21", 9);
#endif
        this->animations = &anim_active21_48;
        if (!anim_active21_48_initialized) {
            anim_active21_48_initialized = true;
            images_active21_48_0_0[0] = get_internal_image_direct(555);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active21_48(int x, int y)
{
    return new (Active::pool.create()) Active21_48(x, y);
}
static Image* images_active22_49_0_0[1];
static Direction direction_active22_49_0_0 = {0, 50, 50, 0, 1, 1, images_active22_49_0_0};
static Animation anim_active22_49_0 = {&direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, NULL, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0, &direction_active22_49_0_0};
static Animation * anim_array_active22_49[1] = {&anim_active22_49_0};
static Animations anim_active22_49 = {1, &anim_array_active22_49[0]};
static bool anim_active22_49_initialized;
class Active22_49 : public Active
{
public:
    Active22_49(int x, int y) : Active(x, y, Active22_49_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 22", 9);
#endif
        this->animations = &anim_active22_49;
        if (!anim_active22_49_initialized) {
            anim_active22_49_initialized = true;
            images_active22_49_0_0[0] = get_internal_image_direct(562);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active22_49(int x, int y)
{
    return new (Active::pool.create()) Active22_49(x, y);
}
class Backdrop10_50 : public Backdrop
{
public:
    Backdrop10_50(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 10", 11);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_10
        manager.frame->back_instances[BACK_ID_BACKDROP_10].push_back(this);
#endif
        image = get_internal_image(453);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop10_50(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop10_50(x, y);
}
static Image* images_active23_51_0_0[1];
static Direction direction_active23_51_0_0 = {0, 50, 50, 0, 1, 1, images_active23_51_0_0};
static Animation anim_active23_51_0 = {&direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, NULL, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0, &direction_active23_51_0_0};
static Animation * anim_array_active23_51[1] = {&anim_active23_51_0};
static Animations anim_active23_51 = {1, &anim_array_active23_51[0]};
static bool anim_active23_51_initialized;
class Active23_51 : public Active
{
public:
    Active23_51(int x, int y) : Active(x, y, Active23_51_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 23", 9);
#endif
        this->animations = &anim_active23_51;
        if (!anim_active23_51_initialized) {
            anim_active23_51_initialized = true;
            images_active23_51_0_0[0] = get_internal_image_direct(576);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active23_51(int x, int y)
{
    return new (Active::pool.create()) Active23_51(x, y);
}
static Image* images_active24_52_0_0[1];
static Direction direction_active24_52_0_0 = {0, 50, 50, 0, 1, 1, images_active24_52_0_0};
static Animation anim_active24_52_0 = {&direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, NULL, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0, &direction_active24_52_0_0};
static Animation * anim_array_active24_52[1] = {&anim_active24_52_0};
static Animations anim_active24_52 = {1, &anim_array_active24_52[0]};
static bool anim_active24_52_initialized;
class Active24_52 : public Active
{
public:
    Active24_52(int x, int y) : Active(x, y, Active24_52_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 24", 9);
#endif
        this->animations = &anim_active24_52;
        if (!anim_active24_52_initialized) {
            anim_active24_52_initialized = true;
            images_active24_52_0_0[0] = get_internal_image_direct(571);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active24_52(int x, int y)
{
    return new (Active::pool.create()) Active24_52(x, y);
}
static Image* images_active25_53_0_0[4];
static Direction direction_active25_53_0_0 = {0, 20, 20, 0, -1, 4, images_active25_53_0_0};
static Animation anim_active25_53_0 = {&direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, NULL, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0, &direction_active25_53_0_0};
static Animation * anim_array_active25_53[1] = {&anim_active25_53_0};
static Animations anim_active25_53 = {1, &anim_array_active25_53[0]};
static bool anim_active25_53_initialized;
class Active25_53 : public Active
{
public:
    Active25_53(int x, int y) : Active(x, y, Active25_53_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 25", 9);
#endif
        this->animations = &anim_active25_53;
        if (!anim_active25_53_initialized) {
            anim_active25_53_initialized = true;
            images_active25_53_0_0[0] = get_internal_image_direct(583);
            images_active25_53_0_0[1] = get_internal_image_direct(584);
            images_active25_53_0_0[2] = get_internal_image_direct(585);
            images_active25_53_0_0[3] = get_internal_image_direct(584);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active25_53(int x, int y)
{
    return new (Active::pool.create()) Active25_53(x, y);
}
static Image* images_musicslider_54_0_0[1];
static Direction direction_musicslider_54_0_0 = {0, 50, 50, 0, 1, 1, images_musicslider_54_0_0};
static Animation anim_musicslider_54_0 = {&direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, NULL, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0, &direction_musicslider_54_0_0};
static Animation * anim_array_musicslider_54[1] = {&anim_musicslider_54_0};
static Animations anim_musicslider_54 = {1, &anim_array_musicslider_54[0]};
static bool anim_musicslider_54_initialized;
class MusicSlider_54 : public Active
{
public:
    MusicSlider_54(int x, int y) : Active(x, y, MusicSlider_54_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MusicSlider", 11);
#endif
        this->animations = &anim_musicslider_54;
        if (!anim_musicslider_54_initialized) {
            anim_musicslider_54_initialized = true;
            images_musicslider_54_0_0[0] = get_internal_image_direct(582);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_musicslider_54(int x, int y)
{
    return new (Active::pool.create()) MusicSlider_54(x, y);
}
static Image* images_musicsliderindicator_55_0_0[1];
static Direction direction_musicsliderindicator_55_0_0 = {0, 50, 50, 0, 1, 1, images_musicsliderindicator_55_0_0};
static Animation anim_musicsliderindicator_55_0 = {&direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, NULL, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0, &direction_musicsliderindicator_55_0_0};
static Animation * anim_array_musicsliderindicator_55[1] = {&anim_musicsliderindicator_55_0};
static Animations anim_musicsliderindicator_55 = {1, &anim_array_musicsliderindicator_55[0]};
static bool anim_musicsliderindicator_55_initialized;
class MusicSliderIndicator_55 : public Active
{
public:
    MusicSliderIndicator_55(int x, int y) : Active(x, y, MusicSliderIndicator_55_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MusicSliderIndicator", 20);
#endif
        this->animations = &anim_musicsliderindicator_55;
        if (!anim_musicsliderindicator_55_initialized) {
            anim_musicsliderindicator_55_initialized = true;
            images_musicsliderindicator_55_0_0[0] = get_internal_image_direct(582);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_musicsliderindicator_55(int x, int y)
{
    return new (Active::pool.create()) MusicSliderIndicator_55(x, y);
}
static Image* images_active18_56_0_0[1];
static Direction direction_active18_56_0_0 = {0, 50, 50, 0, 1, 1, images_active18_56_0_0};
static Animation anim_active18_56_0 = {&direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, NULL, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0, &direction_active18_56_0_0};
static Animation * anim_array_active18_56[1] = {&anim_active18_56_0};
static Animations anim_active18_56 = {1, &anim_array_active18_56[0]};
static bool anim_active18_56_initialized;
class Active18_56 : public Active
{
public:
    Active18_56(int x, int y) : Active(x, y, Active18_56_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 18", 9);
#endif
        this->animations = &anim_active18_56;
        if (!anim_active18_56_initialized) {
            anim_active18_56_initialized = true;
            images_active18_56_0_0[0] = get_internal_image_direct(540);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active18_56(int x, int y)
{
    return new (Active::pool.create()) Active18_56(x, y);
}
static Image* images_active26_57_0_0[4];
static Direction direction_active26_57_0_0 = {0, 20, 20, 0, -1, 4, images_active26_57_0_0};
static Animation anim_active26_57_0 = {&direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, NULL, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0, &direction_active26_57_0_0};
static Animation * anim_array_active26_57[1] = {&anim_active26_57_0};
static Animations anim_active26_57 = {1, &anim_array_active26_57[0]};
static bool anim_active26_57_initialized;
class Active26_57 : public Active
{
public:
    Active26_57(int x, int y) : Active(x, y, Active26_57_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 26", 9);
#endif
        this->animations = &anim_active26_57;
        if (!anim_active26_57_initialized) {
            anim_active26_57_initialized = true;
            images_active26_57_0_0[0] = get_internal_image_direct(609);
            images_active26_57_0_0[1] = get_internal_image_direct(614);
            images_active26_57_0_0[2] = get_internal_image_direct(617);
            images_active26_57_0_0[3] = get_internal_image_direct(614);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active26_57(int x, int y)
{
    return new (Active::pool.create()) Active26_57(x, y);
}
class String6_58 : public Text
{
public:
    String6_58(int x, int y) : Text(x, y, String6_58_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 6", 8);
#endif
        flags &= ~SCROLL;
        width = 176;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("No overlay", 10));
        create_alterables();
    }
};
FrameObject * create_string6_58(int x, int y)
{
    return new (Text::pool.create()) String6_58(x, y);
}
static Image* images_active6_59_0_0[1];
static Direction direction_active6_59_0_0 = {0, 50, 50, 0, 1, 1, images_active6_59_0_0};
static Animation anim_active6_59_0 = {&direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, NULL, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0, &direction_active6_59_0_0};
static Image* images_active6_59_1_0[1];
static Direction direction_active6_59_1_0 = {0, 50, 50, 0, 1, 1, images_active6_59_1_0};
static Animation anim_active6_59_1 = {&direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, NULL, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0, &direction_active6_59_1_0};
static Animation * anim_array_active6_59[2] = {&anim_active6_59_0, &anim_active6_59_1};
static Animations anim_active6_59 = {2, &anim_array_active6_59[0]};
static bool anim_active6_59_initialized;
class Active6_59 : public Active
{
public:
    Active6_59(int x, int y) : Active(x, y, Active6_59_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_59;
        if (!anim_active6_59_initialized) {
            anim_active6_59_initialized = true;
            images_active6_59_0_0[0] = get_internal_image_direct(601);
            images_active6_59_1_0[0] = get_internal_image_direct(618);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_59(int x, int y)
{
    return new (Active::pool.create()) Active6_59(x, y);
}
static Image* images_active_60_0_0[1];
static Direction direction_active_60_0_0 = {0, 50, 50, 0, 1, 1, images_active_60_0_0};
static Animation anim_active_60_0 = {&direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, NULL, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0, &direction_active_60_0_0};
static Animation * anim_array_active_60[1] = {&anim_active_60_0};
static Animations anim_active_60 = {1, &anim_array_active_60[0]};
static bool anim_active_60_initialized;
class Active_60 : public Active
{
public:
    Active_60(int x, int y) : Active(x, y, Active_60_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_60;
        if (!anim_active_60_initialized) {
            anim_active_60_initialized = true;
            images_active_60_0_0[0] = get_internal_image_direct(502);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 44);
        create_alterables();
    }
};
FrameObject * create_active_60(int x, int y)
{
    return new (Active::pool.create()) Active_60(x, y);
}
static Image* images_active3_61_0_0[1];
static Direction direction_active3_61_0_0 = {0, 50, 50, 0, 1, 1, images_active3_61_0_0};
static Animation anim_active3_61_0 = {&direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, NULL, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0, &direction_active3_61_0_0};
static Animation * anim_array_active3_61[1] = {&anim_active3_61_0};
static Animations anim_active3_61 = {1, &anim_array_active3_61[0]};
static bool anim_active3_61_initialized;
class Active3_61 : public Active
{
public:
    Active3_61(int x, int y) : Active(x, y, Active3_61_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_61;
        if (!anim_active3_61_initialized) {
            anim_active3_61_initialized = true;
            images_active3_61_0_0[0] = get_internal_image_direct(73);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_61(int x, int y)
{
    return new (Active::pool.create()) Active3_61(x, y);
}
static Image* images_notregular_62_0_0[1];
static Direction direction_notregular_62_0_0 = {0, 5, 5, 0, -1, 1, images_notregular_62_0_0};
static Image* images_notregular_62_0_16[1];
static Direction direction_notregular_62_0_16 = {16, 5, 5, 0, -1, 1, images_notregular_62_0_16};
static Animation anim_notregular_62_0 = {&direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, NULL, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, &direction_notregular_62_0_16, NULL, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0, &direction_notregular_62_0_0};
static Image* images_notregular_62_1_0[4];
static Direction direction_notregular_62_1_0 = {0, 12, 12, 0, -1, 4, images_notregular_62_1_0};
static Image* images_notregular_62_1_16[4];
static Direction direction_notregular_62_1_16 = {16, 12, 12, 0, -1, 4, images_notregular_62_1_16};
static Animation anim_notregular_62_1 = {&direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, NULL, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, &direction_notregular_62_1_16, NULL, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0, &direction_notregular_62_1_0};
static Image* images_notregular_62_7_0[1];
static Direction direction_notregular_62_7_0 = {0, 50, 50, 0, 1, 1, images_notregular_62_7_0};
static Image* images_notregular_62_7_16[1];
static Direction direction_notregular_62_7_16 = {16, 50, 50, 0, 1, 1, images_notregular_62_7_16};
static Animation anim_notregular_62_7 = {&direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, NULL, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, &direction_notregular_62_7_16, NULL, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0, &direction_notregular_62_7_0};
static Image* images_notregular_62_8_0[2];
static Direction direction_notregular_62_8_0 = {0, 50, 50, 0, -1, 2, images_notregular_62_8_0};
static Image* images_notregular_62_8_16[2];
static Direction direction_notregular_62_8_16 = {16, 50, 50, 0, -1, 2, images_notregular_62_8_16};
static Animation anim_notregular_62_8 = {&direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, NULL, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, &direction_notregular_62_8_16, NULL, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0, &direction_notregular_62_8_0};
static Image* images_notregular_62_12_0[19];
static Direction direction_notregular_62_12_0 = {0, 20, 20, 0, 9, 19, images_notregular_62_12_0};
static Animation anim_notregular_62_12 = {&direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, NULL, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0, &direction_notregular_62_12_0};
static Image* images_notregular_62_13_0[10];
static Direction direction_notregular_62_13_0 = {0, 25, 25, 0, 1, 10, images_notregular_62_13_0};
static Animation anim_notregular_62_13 = {&direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, NULL, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0, &direction_notregular_62_13_0};
static Image* images_notregular_62_14_0[2];
static Direction direction_notregular_62_14_0 = {0, 50, 50, 0, 1, 2, images_notregular_62_14_0};
static Animation anim_notregular_62_14 = {&direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, NULL, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0, &direction_notregular_62_14_0};
static Image* images_notregular_62_15_0[2];
static Direction direction_notregular_62_15_0 = {0, 3, 3, 0, 1, 2, images_notregular_62_15_0};
static Image* images_notregular_62_15_16[2];
static Direction direction_notregular_62_15_16 = {16, 3, 3, 0, 1, 2, images_notregular_62_15_16};
static Animation anim_notregular_62_15 = {&direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, NULL, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, &direction_notregular_62_15_16, NULL, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0, &direction_notregular_62_15_0};
static Image* images_notregular_62_16_0[4];
static Direction direction_notregular_62_16_0 = {0, 12, 12, 0, -1, 4, images_notregular_62_16_0};
static Image* images_notregular_62_16_16[4];
static Direction direction_notregular_62_16_16 = {16, 12, 12, 0, -1, 4, images_notregular_62_16_16};
static Animation anim_notregular_62_16 = {&direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, NULL, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, &direction_notregular_62_16_16, NULL, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0, &direction_notregular_62_16_0};
static Image* images_notregular_62_17_0[1];
static Direction direction_notregular_62_17_0 = {0, 50, 50, 0, 1, 1, images_notregular_62_17_0};
static Image* images_notregular_62_17_16[1];
static Direction direction_notregular_62_17_16 = {16, 50, 50, 0, 1, 1, images_notregular_62_17_16};
static Animation anim_notregular_62_17 = {&direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, NULL, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, &direction_notregular_62_17_16, NULL, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0, &direction_notregular_62_17_0};
static Image* images_notregular_62_18_0[2];
static Direction direction_notregular_62_18_0 = {0, 50, 50, 0, -1, 2, images_notregular_62_18_0};
static Image* images_notregular_62_18_16[2];
static Direction direction_notregular_62_18_16 = {16, 50, 50, 0, -1, 2, images_notregular_62_18_16};
static Animation anim_notregular_62_18 = {&direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, NULL, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, &direction_notregular_62_18_16, NULL, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0, &direction_notregular_62_18_0};
static Image* images_notregular_62_19_0[1];
static Direction direction_notregular_62_19_0 = {0, 50, 50, 0, 1, 1, images_notregular_62_19_0};
static Image* images_notregular_62_19_16[1];
static Direction direction_notregular_62_19_16 = {16, 50, 50, 0, 1, 1, images_notregular_62_19_16};
static Animation anim_notregular_62_19 = {&direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, NULL, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, &direction_notregular_62_19_16, NULL, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0, &direction_notregular_62_19_0};
static Image* images_notregular_62_20_0[1];
static Direction direction_notregular_62_20_0 = {0, 50, 50, 0, 1, 1, images_notregular_62_20_0};
static Image* images_notregular_62_20_16[1];
static Direction direction_notregular_62_20_16 = {16, 50, 50, 0, 1, 1, images_notregular_62_20_16};
static Animation anim_notregular_62_20 = {&direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, NULL, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, &direction_notregular_62_20_16, NULL, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0, &direction_notregular_62_20_0};
static Image* images_notregular_62_21_0[2];
static Direction direction_notregular_62_21_0 = {0, 18, 18, 0, 1, 2, images_notregular_62_21_0};
static Image* images_notregular_62_21_16[2];
static Direction direction_notregular_62_21_16 = {16, 18, 18, 0, 3, 2, images_notregular_62_21_16};
static Animation anim_notregular_62_21 = {&direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, NULL, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, &direction_notregular_62_21_16, NULL, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0, &direction_notregular_62_21_0};
static Animation * anim_array_notregular_62[22] = {&anim_notregular_62_0, &anim_notregular_62_1, NULL, NULL, NULL, NULL, NULL, &anim_notregular_62_7, &anim_notregular_62_8, NULL, NULL, NULL, &anim_notregular_62_12, &anim_notregular_62_13, &anim_notregular_62_14, &anim_notregular_62_15, &anim_notregular_62_16, &anim_notregular_62_17, &anim_notregular_62_18, &anim_notregular_62_19, &anim_notregular_62_20, &anim_notregular_62_21};
static Animations anim_notregular_62 = {22, &anim_array_notregular_62[0]};
static bool anim_notregular_62_initialized;
class NOTREGULAR_62 : public Active
{
public:
    NOTREGULAR_62(int x, int y) : Active(x, y, NOTREGULAR_62_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("NOT REGULAR", 11);
#endif
        this->animations = &anim_notregular_62;
        if (!anim_notregular_62_initialized) {
            anim_notregular_62_initialized = true;
            images_notregular_62_0_0[0] = get_internal_image_direct(171);
            images_notregular_62_0_16[0] = get_internal_image_direct(184);
            images_notregular_62_1_0[0] = get_internal_image_direct(176);
            images_notregular_62_1_0[1] = get_internal_image_direct(179);
            images_notregular_62_1_0[2] = get_internal_image_direct(177);
            images_notregular_62_1_0[3] = get_internal_image_direct(178);
            images_notregular_62_1_16[0] = get_internal_image_direct(132);
            images_notregular_62_1_16[1] = get_internal_image_direct(133);
            images_notregular_62_1_16[2] = get_internal_image_direct(134);
            images_notregular_62_1_16[3] = get_internal_image_direct(136);
            images_notregular_62_7_0[0] = get_internal_image_direct(190);
            images_notregular_62_7_16[0] = get_internal_image_direct(185);
            images_notregular_62_8_0[0] = get_internal_image_direct(190);
            images_notregular_62_8_0[1] = get_internal_image_direct(191);
            images_notregular_62_8_16[0] = get_internal_image_direct(192);
            images_notregular_62_8_16[1] = get_internal_image_direct(186);
            images_notregular_62_12_0[0] = get_internal_image_direct(53);
            images_notregular_62_12_0[1] = get_internal_image_direct(53);
            images_notregular_62_12_0[2] = get_internal_image_direct(53);
            images_notregular_62_12_0[3] = get_internal_image_direct(53);
            images_notregular_62_12_0[4] = get_internal_image_direct(53);
            images_notregular_62_12_0[5] = get_internal_image_direct(53);
            images_notregular_62_12_0[6] = get_internal_image_direct(53);
            images_notregular_62_12_0[7] = get_internal_image_direct(53);
            images_notregular_62_12_0[8] = get_internal_image_direct(53);
            images_notregular_62_12_0[9] = get_internal_image_direct(53);
            images_notregular_62_12_0[10] = get_internal_image_direct(53);
            images_notregular_62_12_0[11] = get_internal_image_direct(53);
            images_notregular_62_12_0[12] = get_internal_image_direct(53);
            images_notregular_62_12_0[13] = get_internal_image_direct(53);
            images_notregular_62_12_0[14] = get_internal_image_direct(53);
            images_notregular_62_12_0[15] = get_internal_image_direct(53);
            images_notregular_62_12_0[16] = get_internal_image_direct(53);
            images_notregular_62_12_0[17] = get_internal_image_direct(54);
            images_notregular_62_12_0[18] = get_internal_image_direct(53);
            images_notregular_62_13_0[0] = get_internal_image_direct(52);
            images_notregular_62_13_0[1] = get_internal_image_direct(52);
            images_notregular_62_13_0[2] = get_internal_image_direct(52);
            images_notregular_62_13_0[3] = get_internal_image_direct(52);
            images_notregular_62_13_0[4] = get_internal_image_direct(52);
            images_notregular_62_13_0[5] = get_internal_image_direct(52);
            images_notregular_62_13_0[6] = get_internal_image_direct(52);
            images_notregular_62_13_0[7] = get_internal_image_direct(52);
            images_notregular_62_13_0[8] = get_internal_image_direct(52);
            images_notregular_62_13_0[9] = get_internal_image_direct(52);
            images_notregular_62_14_0[0] = get_internal_image_direct(86);
            images_notregular_62_14_0[1] = get_internal_image_direct(116);
            images_notregular_62_15_0[0] = get_internal_image_direct(175);
            images_notregular_62_15_0[1] = get_internal_image_direct(175);
            images_notregular_62_15_16[0] = get_internal_image_direct(188);
            images_notregular_62_15_16[1] = get_internal_image_direct(188);
            images_notregular_62_16_0[0] = get_internal_image_direct(180);
            images_notregular_62_16_0[1] = get_internal_image_direct(181);
            images_notregular_62_16_0[2] = get_internal_image_direct(182);
            images_notregular_62_16_0[3] = get_internal_image_direct(183);
            images_notregular_62_16_16[0] = get_internal_image_direct(135);
            images_notregular_62_16_16[1] = get_internal_image_direct(138);
            images_notregular_62_16_16[2] = get_internal_image_direct(137);
            images_notregular_62_16_16[3] = get_internal_image_direct(139);
            images_notregular_62_17_0[0] = get_internal_image_direct(189);
            images_notregular_62_17_16[0] = get_internal_image_direct(16);
            images_notregular_62_18_0[0] = get_internal_image_direct(193);
            images_notregular_62_18_0[1] = get_internal_image_direct(193);
            images_notregular_62_18_16[0] = get_internal_image_direct(187);
            images_notregular_62_18_16[1] = get_internal_image_direct(187);
            images_notregular_62_19_0[0] = get_internal_image_direct(141);
            images_notregular_62_19_16[0] = get_internal_image_direct(142);
            images_notregular_62_20_0[0] = get_internal_image_direct(140);
            images_notregular_62_20_16[0] = get_internal_image_direct(143);
            images_notregular_62_21_0[0] = get_internal_image_direct(14);
            images_notregular_62_21_0[1] = get_internal_image_direct(82);
            images_notregular_62_21_16[0] = get_internal_image_direct(17);
            images_notregular_62_21_16[1] = get_internal_image_direct(83);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        create_alterables();
    }
};
FrameObject * create_notregular_62(int x, int y)
{
    return new (Active::pool.create()) NOTREGULAR_62(x, y);
}
class String2_63 : public Text
{
public:
    String2_63(int x, int y) : Text(x, y, String2_63_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 26;
        height = 21;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("x  15", 5));
        create_alterables();
    }
};
FrameObject * create_string2_63(int x, int y)
{
    return new (Text::pool.create()) String2_63(x, y);
}
class BgWall_64 : public Backdrop
{
public:
    BgWall_64(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-wall", 7);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_WALL
        manager.frame->back_instances[BACK_ID_BG_WALL].push_back(this);
#endif
        image = get_internal_image(419);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bgwall_64(int x, int y)
{
    return new (Backdrop::pool.create()) BgWall_64(x, y);
}
static Image* images_player_65_0_0[1];
static Direction direction_player_65_0_0 = {0, 50, 50, 0, 1, 1, images_player_65_0_0};
static Animation anim_player_65_0 = {&direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, NULL, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0, &direction_player_65_0_0};
static Animation * anim_array_player_65[1] = {&anim_player_65_0};
static Animations anim_player_65 = {1, &anim_array_player_65[0]};
static bool anim_player_65_initialized;
class Player_65 : public Active
{
public:
    Player_65(int x, int y) : Active(x, y, Player_65_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Player", 6);
#endif
        set_visible(false);
        this->animations = &anim_player_65;
        if (!anim_player_65_initialized) {
            anim_player_65_initialized = true;
            images_player_65_0_0[0] = get_internal_image_direct(1);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(13, 1);
        alterables->values.set(15, 1);
    }
};
FrameObject * create_player_65(int x, int y)
{
    return new (Active::pool.create()) Player_65(x, y);
}
static Image* images_detector_66_0_0[1];
static Direction direction_detector_66_0_0 = {0, 50, 50, 0, 1, 1, images_detector_66_0_0};
static Animation anim_detector_66_0 = {&direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, NULL, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0, &direction_detector_66_0_0};
static Animation * anim_array_detector_66[1] = {&anim_detector_66_0};
static Animations anim_detector_66 = {1, &anim_array_detector_66[0]};
static bool anim_detector_66_initialized;
class Detector_66 : public Active
{
public:
    Detector_66(int x, int y) : Active(x, y, Detector_66_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Detector", 8);
#endif
        set_visible(false);
        this->animations = &anim_detector_66;
        if (!anim_detector_66_initialized) {
            anim_detector_66_initialized = true;
            images_detector_66_0_0[0] = get_internal_image_direct(5);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_detector_66(int x, int y)
{
    return new (Active::pool.create()) Detector_66(x, y);
}
static Image* images_platform_67_0_0[1];
static Direction direction_platform_67_0_0 = {0, 50, 50, 0, 1, 1, images_platform_67_0_0};
static Image* images_platform_67_0_16[1];
static Direction direction_platform_67_0_16 = {16, 50, 50, 0, 1, 1, images_platform_67_0_16};
static Animation anim_platform_67_0 = {&direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, NULL, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, &direction_platform_67_0_16, NULL, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0, &direction_platform_67_0_0};
static Animation * anim_array_platform_67[1] = {&anim_platform_67_0};
static Animations anim_platform_67 = {1, &anim_array_platform_67[0]};
static bool anim_platform_67_initialized;
class Platform_67 : public Active
{
public:
    Platform_67(int x, int y) : Active(x, y, Platform_67_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Platform", 8);
#endif
        set_visible(false);
        this->animations = &anim_platform_67;
        if (!anim_platform_67_initialized) {
            anim_platform_67_initialized = true;
            images_platform_67_0_0[0] = get_internal_image_direct(9);
            images_platform_67_0_16[0] = get_internal_image_direct(8);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(16);
        create_alterables();
    }
};
FrameObject * create_platform_67(int x, int y)
{
    return new (Active::pool.create()) Platform_67(x, y);
}
class BgOneway_68 : public Backdrop
{
public:
    BgOneway_68(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-oneway", 9);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_ONEWAY
        manager.frame->back_instances[BACK_ID_BG_ONEWAY].push_back(this);
#endif
        image = get_internal_image(15);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgoneway_68(int x, int y)
{
    return new (Backdrop::pool.create()) BgOneway_68(x, y);
}
static Image* images_movingplatform_69_0_0[2];
static Direction direction_movingplatform_69_0_0 = {0, 50, 50, 0, -1, 2, images_movingplatform_69_0_0};
static Animation anim_movingplatform_69_0 = {&direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, NULL, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0, &direction_movingplatform_69_0_0};
static Image* images_movingplatform_69_3_0[30];
static Direction direction_movingplatform_69_3_0 = {0, 50, 50, 0, 1, 30, images_movingplatform_69_3_0};
static Animation anim_movingplatform_69_3 = {&direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, NULL, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0, &direction_movingplatform_69_3_0};
static Animation * anim_array_movingplatform_69[4] = {&anim_movingplatform_69_0, NULL, NULL, &anim_movingplatform_69_3};
static Animations anim_movingplatform_69 = {4, &anim_array_movingplatform_69[0]};
static bool anim_movingplatform_69_initialized;
class MovingPlatform_69 : public Active
{
public:
    MovingPlatform_69(int x, int y) : Active(x, y, MovingPlatform_69_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Moving Platform", 15);
#endif
        this->animations = &anim_movingplatform_69;
        if (!anim_movingplatform_69_initialized) {
            anim_movingplatform_69_initialized = true;
            images_movingplatform_69_0_0[0] = get_internal_image_direct(423);
            images_movingplatform_69_0_0[1] = get_internal_image_direct(446);
            images_movingplatform_69_3_0[0] = get_internal_image_direct(568);
            images_movingplatform_69_3_0[1] = get_internal_image_direct(552);
            images_movingplatform_69_3_0[2] = get_internal_image_direct(569);
            images_movingplatform_69_3_0[3] = get_internal_image_direct(572);
            images_movingplatform_69_3_0[4] = get_internal_image_direct(574);
            images_movingplatform_69_3_0[5] = get_internal_image_direct(575);
            images_movingplatform_69_3_0[6] = get_internal_image_direct(579);
            images_movingplatform_69_3_0[7] = get_internal_image_direct(580);
            images_movingplatform_69_3_0[8] = get_internal_image_direct(581);
            images_movingplatform_69_3_0[9] = get_internal_image_direct(588);
            images_movingplatform_69_3_0[10] = get_internal_image_direct(586);
            images_movingplatform_69_3_0[11] = get_internal_image_direct(589);
            images_movingplatform_69_3_0[12] = get_internal_image_direct(590);
            images_movingplatform_69_3_0[13] = get_internal_image_direct(587);
            images_movingplatform_69_3_0[14] = get_internal_image_direct(591);
            images_movingplatform_69_3_0[15] = get_internal_image_direct(593);
            images_movingplatform_69_3_0[16] = get_internal_image_direct(592);
            images_movingplatform_69_3_0[17] = get_internal_image_direct(594);
            images_movingplatform_69_3_0[18] = get_internal_image_direct(596);
            images_movingplatform_69_3_0[19] = get_internal_image_direct(597);
            images_movingplatform_69_3_0[20] = get_internal_image_direct(595);
            images_movingplatform_69_3_0[21] = get_internal_image_direct(598);
            images_movingplatform_69_3_0[22] = get_internal_image_direct(600);
            images_movingplatform_69_3_0[23] = get_internal_image_direct(599);
            images_movingplatform_69_3_0[24] = get_internal_image_direct(602);
            images_movingplatform_69_3_0[25] = get_internal_image_direct(604);
            images_movingplatform_69_3_0[26] = get_internal_image_direct(605);
            images_movingplatform_69_3_0[27] = get_internal_image_direct(606);
            images_movingplatform_69_3_0[28] = get_internal_image_direct(607);
            images_movingplatform_69_3_0[29] = get_internal_image_direct(446);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        forced_animation = current_animation = APPEARING;
        initialize_active(false);
        create_alterables();
        alterables->values.set(0, 2);
    }
};
FrameObject * create_movingplatform_69(int x, int y)
{
    return new (Active::pool.create()) MovingPlatform_69(x, y);
}
static Image* images_platform2_70_0_0[1];
static Direction direction_platform2_70_0_0 = {0, 50, 50, 0, 1, 1, images_platform2_70_0_0};
static Image* images_platform2_70_0_16[1];
static Direction direction_platform2_70_0_16 = {16, 50, 50, 0, 1, 1, images_platform2_70_0_16};
static Animation anim_platform2_70_0 = {&direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, NULL, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, &direction_platform2_70_0_16, NULL, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0, &direction_platform2_70_0_0};
static Animation * anim_array_platform2_70[1] = {&anim_platform2_70_0};
static Animations anim_platform2_70 = {1, &anim_array_platform2_70[0]};
static bool anim_platform2_70_initialized;
class Platform2_70 : public Active
{
public:
    Platform2_70(int x, int y) : Active(x, y, Platform2_70_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Platform 2", 10);
#endif
        set_visible(false);
        this->animations = &anim_platform2_70;
        if (!anim_platform2_70_initialized) {
            anim_platform2_70_initialized = true;
            images_platform2_70_0_0[0] = get_internal_image_direct(12);
            images_platform2_70_0_16[0] = get_internal_image_direct(8);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(16);
        create_alterables();
    }
};
FrameObject * create_platform2_70(int x, int y)
{
    return new (Active::pool.create()) Platform2_70(x, y);
}
static Image* images_sprite_71_0_0[1];
static Direction direction_sprite_71_0_0 = {0, 5, 5, 0, -1, 1, images_sprite_71_0_0};
static Image* images_sprite_71_0_16[1];
static Direction direction_sprite_71_0_16 = {16, 5, 5, 0, -1, 1, images_sprite_71_0_16};
static Animation anim_sprite_71_0 = {&direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, NULL, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, &direction_sprite_71_0_16, NULL, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0, &direction_sprite_71_0_0};
static Image* images_sprite_71_1_0[4];
static Direction direction_sprite_71_1_0 = {0, 12, 12, 0, -1, 4, images_sprite_71_1_0};
static Image* images_sprite_71_1_16[4];
static Direction direction_sprite_71_1_16 = {16, 12, 12, 0, -1, 4, images_sprite_71_1_16};
static Animation anim_sprite_71_1 = {&direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, NULL, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, &direction_sprite_71_1_16, NULL, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0, &direction_sprite_71_1_0};
static Image* images_sprite_71_7_0[1];
static Direction direction_sprite_71_7_0 = {0, 50, 50, 0, 1, 1, images_sprite_71_7_0};
static Image* images_sprite_71_7_16[1];
static Direction direction_sprite_71_7_16 = {16, 50, 50, 0, 1, 1, images_sprite_71_7_16};
static Animation anim_sprite_71_7 = {&direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, NULL, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, &direction_sprite_71_7_16, NULL, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0, &direction_sprite_71_7_0};
static Image* images_sprite_71_8_0[2];
static Direction direction_sprite_71_8_0 = {0, 50, 50, 0, -1, 2, images_sprite_71_8_0};
static Image* images_sprite_71_8_16[2];
static Direction direction_sprite_71_8_16 = {16, 50, 50, 0, -1, 2, images_sprite_71_8_16};
static Animation anim_sprite_71_8 = {&direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, NULL, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, &direction_sprite_71_8_16, NULL, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0, &direction_sprite_71_8_0};
static Image* images_sprite_71_12_0[19];
static Direction direction_sprite_71_12_0 = {0, 20, 20, 0, 9, 19, images_sprite_71_12_0};
static Animation anim_sprite_71_12 = {&direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, NULL, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0, &direction_sprite_71_12_0};
static Image* images_sprite_71_13_0[10];
static Direction direction_sprite_71_13_0 = {0, 25, 25, 0, 1, 10, images_sprite_71_13_0};
static Animation anim_sprite_71_13 = {&direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, NULL, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0, &direction_sprite_71_13_0};
static Image* images_sprite_71_14_0[2];
static Direction direction_sprite_71_14_0 = {0, 50, 50, 0, 1, 2, images_sprite_71_14_0};
static Animation anim_sprite_71_14 = {&direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, NULL, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0, &direction_sprite_71_14_0};
static Image* images_sprite_71_15_0[2];
static Direction direction_sprite_71_15_0 = {0, 3, 3, 0, 1, 2, images_sprite_71_15_0};
static Image* images_sprite_71_15_16[2];
static Direction direction_sprite_71_15_16 = {16, 3, 3, 0, 1, 2, images_sprite_71_15_16};
static Animation anim_sprite_71_15 = {&direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, NULL, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, &direction_sprite_71_15_16, NULL, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0, &direction_sprite_71_15_0};
static Image* images_sprite_71_16_0[4];
static Direction direction_sprite_71_16_0 = {0, 12, 12, 0, -1, 4, images_sprite_71_16_0};
static Image* images_sprite_71_16_16[4];
static Direction direction_sprite_71_16_16 = {16, 12, 12, 0, -1, 4, images_sprite_71_16_16};
static Animation anim_sprite_71_16 = {&direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, NULL, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, &direction_sprite_71_16_16, NULL, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0, &direction_sprite_71_16_0};
static Image* images_sprite_71_17_0[1];
static Direction direction_sprite_71_17_0 = {0, 50, 50, 0, 1, 1, images_sprite_71_17_0};
static Image* images_sprite_71_17_16[1];
static Direction direction_sprite_71_17_16 = {16, 50, 50, 0, 1, 1, images_sprite_71_17_16};
static Animation anim_sprite_71_17 = {&direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, NULL, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, &direction_sprite_71_17_16, NULL, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0, &direction_sprite_71_17_0};
static Image* images_sprite_71_18_0[2];
static Direction direction_sprite_71_18_0 = {0, 50, 50, 0, -1, 2, images_sprite_71_18_0};
static Image* images_sprite_71_18_16[2];
static Direction direction_sprite_71_18_16 = {16, 50, 50, 0, -1, 2, images_sprite_71_18_16};
static Animation anim_sprite_71_18 = {&direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, NULL, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, &direction_sprite_71_18_16, NULL, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0, &direction_sprite_71_18_0};
static Image* images_sprite_71_19_0[1];
static Direction direction_sprite_71_19_0 = {0, 50, 50, 0, 1, 1, images_sprite_71_19_0};
static Image* images_sprite_71_19_16[1];
static Direction direction_sprite_71_19_16 = {16, 50, 50, 0, 1, 1, images_sprite_71_19_16};
static Animation anim_sprite_71_19 = {&direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, NULL, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, &direction_sprite_71_19_16, NULL, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0, &direction_sprite_71_19_0};
static Image* images_sprite_71_20_0[1];
static Direction direction_sprite_71_20_0 = {0, 50, 50, 0, 1, 1, images_sprite_71_20_0};
static Image* images_sprite_71_20_16[1];
static Direction direction_sprite_71_20_16 = {16, 50, 50, 0, 1, 1, images_sprite_71_20_16};
static Animation anim_sprite_71_20 = {&direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, NULL, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, &direction_sprite_71_20_16, NULL, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0, &direction_sprite_71_20_0};
static Image* images_sprite_71_21_0[2];
static Direction direction_sprite_71_21_0 = {0, 18, 18, 0, 1, 2, images_sprite_71_21_0};
static Image* images_sprite_71_21_16[2];
static Direction direction_sprite_71_21_16 = {16, 18, 18, 0, 3, 2, images_sprite_71_21_16};
static Animation anim_sprite_71_21 = {&direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, NULL, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, &direction_sprite_71_21_16, NULL, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0, &direction_sprite_71_21_0};
static Image* images_sprite_71_22_0[2];
static Direction direction_sprite_71_22_0 = {0, 10, 10, 0, 1, 2, images_sprite_71_22_0};
static Image* images_sprite_71_22_16[2];
static Direction direction_sprite_71_22_16 = {16, 10, 10, 0, 1, 2, images_sprite_71_22_16};
static Animation anim_sprite_71_22 = {&direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, NULL, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, &direction_sprite_71_22_16, NULL, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0, &direction_sprite_71_22_0};
static Animation * anim_array_sprite_71[23] = {&anim_sprite_71_0, &anim_sprite_71_1, NULL, NULL, NULL, NULL, NULL, &anim_sprite_71_7, &anim_sprite_71_8, NULL, NULL, NULL, &anim_sprite_71_12, &anim_sprite_71_13, &anim_sprite_71_14, &anim_sprite_71_15, &anim_sprite_71_16, &anim_sprite_71_17, &anim_sprite_71_18, &anim_sprite_71_19, &anim_sprite_71_20, &anim_sprite_71_21, &anim_sprite_71_22};
static Animations anim_sprite_71 = {23, &anim_array_sprite_71[0]};
static bool anim_sprite_71_initialized;
class Sprite_71 : public Active
{
public:
    Sprite_71(int x, int y) : Active(x, y, Sprite_71_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Sprite", 6);
#endif
        this->animations = &anim_sprite_71;
        if (!anim_sprite_71_initialized) {
            anim_sprite_71_initialized = true;
            images_sprite_71_0_0[0] = get_internal_image_direct(171);
            images_sprite_71_0_16[0] = get_internal_image_direct(184);
            images_sprite_71_1_0[0] = get_internal_image_direct(176);
            images_sprite_71_1_0[1] = get_internal_image_direct(179);
            images_sprite_71_1_0[2] = get_internal_image_direct(177);
            images_sprite_71_1_0[3] = get_internal_image_direct(178);
            images_sprite_71_1_16[0] = get_internal_image_direct(132);
            images_sprite_71_1_16[1] = get_internal_image_direct(133);
            images_sprite_71_1_16[2] = get_internal_image_direct(134);
            images_sprite_71_1_16[3] = get_internal_image_direct(136);
            images_sprite_71_7_0[0] = get_internal_image_direct(190);
            images_sprite_71_7_16[0] = get_internal_image_direct(185);
            images_sprite_71_8_0[0] = get_internal_image_direct(190);
            images_sprite_71_8_0[1] = get_internal_image_direct(191);
            images_sprite_71_8_16[0] = get_internal_image_direct(192);
            images_sprite_71_8_16[1] = get_internal_image_direct(186);
            images_sprite_71_12_0[0] = get_internal_image_direct(53);
            images_sprite_71_12_0[1] = get_internal_image_direct(53);
            images_sprite_71_12_0[2] = get_internal_image_direct(53);
            images_sprite_71_12_0[3] = get_internal_image_direct(53);
            images_sprite_71_12_0[4] = get_internal_image_direct(53);
            images_sprite_71_12_0[5] = get_internal_image_direct(53);
            images_sprite_71_12_0[6] = get_internal_image_direct(53);
            images_sprite_71_12_0[7] = get_internal_image_direct(53);
            images_sprite_71_12_0[8] = get_internal_image_direct(53);
            images_sprite_71_12_0[9] = get_internal_image_direct(53);
            images_sprite_71_12_0[10] = get_internal_image_direct(53);
            images_sprite_71_12_0[11] = get_internal_image_direct(53);
            images_sprite_71_12_0[12] = get_internal_image_direct(53);
            images_sprite_71_12_0[13] = get_internal_image_direct(53);
            images_sprite_71_12_0[14] = get_internal_image_direct(53);
            images_sprite_71_12_0[15] = get_internal_image_direct(53);
            images_sprite_71_12_0[16] = get_internal_image_direct(53);
            images_sprite_71_12_0[17] = get_internal_image_direct(54);
            images_sprite_71_12_0[18] = get_internal_image_direct(53);
            images_sprite_71_13_0[0] = get_internal_image_direct(52);
            images_sprite_71_13_0[1] = get_internal_image_direct(52);
            images_sprite_71_13_0[2] = get_internal_image_direct(52);
            images_sprite_71_13_0[3] = get_internal_image_direct(52);
            images_sprite_71_13_0[4] = get_internal_image_direct(52);
            images_sprite_71_13_0[5] = get_internal_image_direct(52);
            images_sprite_71_13_0[6] = get_internal_image_direct(52);
            images_sprite_71_13_0[7] = get_internal_image_direct(52);
            images_sprite_71_13_0[8] = get_internal_image_direct(52);
            images_sprite_71_13_0[9] = get_internal_image_direct(52);
            images_sprite_71_14_0[0] = get_internal_image_direct(86);
            images_sprite_71_14_0[1] = get_internal_image_direct(116);
            images_sprite_71_15_0[0] = get_internal_image_direct(175);
            images_sprite_71_15_0[1] = get_internal_image_direct(175);
            images_sprite_71_15_16[0] = get_internal_image_direct(188);
            images_sprite_71_15_16[1] = get_internal_image_direct(188);
            images_sprite_71_16_0[0] = get_internal_image_direct(180);
            images_sprite_71_16_0[1] = get_internal_image_direct(181);
            images_sprite_71_16_0[2] = get_internal_image_direct(182);
            images_sprite_71_16_0[3] = get_internal_image_direct(183);
            images_sprite_71_16_16[0] = get_internal_image_direct(135);
            images_sprite_71_16_16[1] = get_internal_image_direct(138);
            images_sprite_71_16_16[2] = get_internal_image_direct(137);
            images_sprite_71_16_16[3] = get_internal_image_direct(139);
            images_sprite_71_17_0[0] = get_internal_image_direct(189);
            images_sprite_71_17_16[0] = get_internal_image_direct(16);
            images_sprite_71_18_0[0] = get_internal_image_direct(193);
            images_sprite_71_18_0[1] = get_internal_image_direct(193);
            images_sprite_71_18_16[0] = get_internal_image_direct(187);
            images_sprite_71_18_16[1] = get_internal_image_direct(187);
            images_sprite_71_19_0[0] = get_internal_image_direct(141);
            images_sprite_71_19_16[0] = get_internal_image_direct(142);
            images_sprite_71_20_0[0] = get_internal_image_direct(140);
            images_sprite_71_20_16[0] = get_internal_image_direct(143);
            images_sprite_71_21_0[0] = get_internal_image_direct(14);
            images_sprite_71_21_0[1] = get_internal_image_direct(82);
            images_sprite_71_21_16[0] = get_internal_image_direct(17);
            images_sprite_71_21_16[1] = get_internal_image_direct(83);
            images_sprite_71_22_0[0] = get_internal_image_direct(462);
            images_sprite_71_22_0[1] = get_internal_image_direct(462);
            images_sprite_71_22_16[0] = get_internal_image_direct(463);
            images_sprite_71_22_16[1] = get_internal_image_direct(463);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        create_alterables();
    }
};
FrameObject * create_sprite_71(int x, int y)
{
    return new (Active::pool.create()) Sprite_71(x, y);
}
static Image* images_conveyorl_72_0_0[1];
static Direction direction_conveyorl_72_0_0 = {0, 70, 70, 0, -1, 1, images_conveyorl_72_0_0};
static Animation anim_conveyorl_72_0 = {&direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, NULL, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0, &direction_conveyorl_72_0_0};
static Animation * anim_array_conveyorl_72[1] = {&anim_conveyorl_72_0};
static Animations anim_conveyorl_72 = {1, &anim_array_conveyorl_72[0]};
static bool anim_conveyorl_72_initialized;
class ConveyorL_72 : public Active
{
public:
    ConveyorL_72(int x, int y) : Active(x, y, ConveyorL_72_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Conveyor L", 10);
#endif
        this->animations = &anim_conveyorl_72;
        if (!anim_conveyorl_72_initialized) {
            anim_conveyorl_72_initialized = true;
            images_conveyorl_72_0_0[0] = get_internal_image_direct(85);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_conveyorl_72(int x, int y)
{
    return new (Active::pool.create()) ConveyorL_72(x, y);
}
static Image* images_conveyorr_73_0_0[1];
static Direction direction_conveyorr_73_0_0 = {0, 70, 70, 0, -1, 1, images_conveyorr_73_0_0};
static Animation anim_conveyorr_73_0 = {&direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, NULL, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0, &direction_conveyorr_73_0_0};
static Animation * anim_array_conveyorr_73[1] = {&anim_conveyorr_73_0};
static Animations anim_conveyorr_73 = {1, &anim_array_conveyorr_73[0]};
static bool anim_conveyorr_73_initialized;
class ConveyorR_73 : public Active
{
public:
    ConveyorR_73(int x, int y) : Active(x, y, ConveyorR_73_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Conveyor R", 10);
#endif
        this->animations = &anim_conveyorr_73;
        if (!anim_conveyorr_73_initialized) {
            anim_conveyorr_73_initialized = true;
            images_conveyorr_73_0_0[0] = get_internal_image_direct(92);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_conveyorr_73(int x, int y)
{
    return new (Active::pool.create()) ConveyorR_73(x, y);
}
static Image* images_key_74_0_0[28];
static Direction direction_key_74_0_0 = {0, 50, 50, 0, -1, 28, images_key_74_0_0};
static Animation anim_key_74_0 = {&direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, NULL, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0, &direction_key_74_0_0};
static Animation * anim_array_key_74[1] = {&anim_key_74_0};
static Animations anim_key_74 = {1, &anim_array_key_74[0]};
static bool anim_key_74_initialized;
class Key_74 : public Active
{
public:
    Key_74(int x, int y) : Active(x, y, Key_74_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Key", 3);
#endif
        this->animations = &anim_key_74;
        if (!anim_key_74_initialized) {
            anim_key_74_initialized = true;
            images_key_74_0_0[0] = get_internal_image_direct(43);
            images_key_74_0_0[1] = get_internal_image_direct(10);
            images_key_74_0_0[2] = get_internal_image_direct(296);
            images_key_74_0_0[3] = get_internal_image_direct(300);
            images_key_74_0_0[4] = get_internal_image_direct(299);
            images_key_74_0_0[5] = get_internal_image_direct(301);
            images_key_74_0_0[6] = get_internal_image_direct(307);
            images_key_74_0_0[7] = get_internal_image_direct(306);
            images_key_74_0_0[8] = get_internal_image_direct(315);
            images_key_74_0_0[9] = get_internal_image_direct(325);
            images_key_74_0_0[10] = get_internal_image_direct(308);
            images_key_74_0_0[11] = get_internal_image_direct(43);
            images_key_74_0_0[12] = get_internal_image_direct(43);
            images_key_74_0_0[13] = get_internal_image_direct(43);
            images_key_74_0_0[14] = get_internal_image_direct(43);
            images_key_74_0_0[15] = get_internal_image_direct(43);
            images_key_74_0_0[16] = get_internal_image_direct(43);
            images_key_74_0_0[17] = get_internal_image_direct(43);
            images_key_74_0_0[18] = get_internal_image_direct(43);
            images_key_74_0_0[19] = get_internal_image_direct(43);
            images_key_74_0_0[20] = get_internal_image_direct(43);
            images_key_74_0_0[21] = get_internal_image_direct(43);
            images_key_74_0_0[22] = get_internal_image_direct(43);
            images_key_74_0_0[23] = get_internal_image_direct(43);
            images_key_74_0_0[24] = get_internal_image_direct(43);
            images_key_74_0_0[25] = get_internal_image_direct(43);
            images_key_74_0_0[26] = get_internal_image_direct(43);
            images_key_74_0_0[27] = get_internal_image_direct(43);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_key_74(int x, int y)
{
    return new (Active::pool.create()) Key_74(x, y);
}
static Image* images_door_75_0_0[1];
static Direction direction_door_75_0_0 = {0, 50, 50, 0, 1, 1, images_door_75_0_0};
static Animation anim_door_75_0 = {&direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, NULL, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0, &direction_door_75_0_0};
static Animation * anim_array_door_75[1] = {&anim_door_75_0};
static Animations anim_door_75 = {1, &anim_array_door_75[0]};
static bool anim_door_75_initialized;
class Door_75 : public Active
{
public:
    Door_75(int x, int y) : Active(x, y, Door_75_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Door", 4);
#endif
        this->animations = &anim_door_75;
        if (!anim_door_75_initialized) {
            anim_door_75_initialized = true;
            images_door_75_0_0[0] = get_internal_image_direct(77);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_door_75(int x, int y)
{
    return new (Active::pool.create()) Door_75(x, y);
}
static Image* images_spring_76_0_0[1];
static Direction direction_spring_76_0_0 = {0, 50, 50, 0, 1, 1, images_spring_76_0_0};
static Animation anim_spring_76_0 = {&direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, NULL, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0, &direction_spring_76_0_0};
static Image* images_spring_76_12_0[4];
static Direction direction_spring_76_12_0 = {0, 35, 35, 0, 1, 4, images_spring_76_12_0};
static Animation anim_spring_76_12 = {&direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, NULL, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0, &direction_spring_76_12_0};
static Animation * anim_array_spring_76[13] = {&anim_spring_76_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_spring_76_12};
static Animations anim_spring_76 = {13, &anim_array_spring_76[0]};
static bool anim_spring_76_initialized;
class Spring_76 : public Active
{
public:
    Spring_76(int x, int y) : Active(x, y, Spring_76_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Spring", 6);
#endif
        this->animations = &anim_spring_76;
        if (!anim_spring_76_initialized) {
            anim_spring_76_initialized = true;
            images_spring_76_0_0[0] = get_internal_image_direct(40);
            images_spring_76_12_0[0] = get_internal_image_direct(30);
            images_spring_76_12_0[1] = get_internal_image_direct(37);
            images_spring_76_12_0[2] = get_internal_image_direct(40);
            images_spring_76_12_0[3] = get_internal_image_direct(34);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_spring_76(int x, int y)
{
    return new (Active::pool.create()) Spring_76(x, y);
}
class BgParallaxfar_77 : public QuickBackdrop
{
public:
    BgParallaxfar_77(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-parallaxfar", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 7000;
        height = 7000;
        image = get_internal_image(412);
        outline = 0;
    }
};
FrameObject * create_bgparallaxfar_77(int x, int y)
{
    return new (QuickBackdrop::pool.create()) BgParallaxfar_77(x, y);
}
static Image* images_vertplatform_78_0_0[2];
static Direction direction_vertplatform_78_0_0 = {0, 50, 50, 0, -1, 2, images_vertplatform_78_0_0};
static Animation anim_vertplatform_78_0 = {&direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, NULL, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0, &direction_vertplatform_78_0_0};
static Image* images_vertplatform_78_3_0[30];
static Direction direction_vertplatform_78_3_0 = {0, 50, 50, 0, 1, 30, images_vertplatform_78_3_0};
static Animation anim_vertplatform_78_3 = {&direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, NULL, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0, &direction_vertplatform_78_3_0};
static Animation * anim_array_vertplatform_78[4] = {&anim_vertplatform_78_0, NULL, NULL, &anim_vertplatform_78_3};
static Animations anim_vertplatform_78 = {4, &anim_array_vertplatform_78[0]};
static bool anim_vertplatform_78_initialized;
class VertPlatform_78 : public Active
{
public:
    VertPlatform_78(int x, int y) : Active(x, y, VertPlatform_78_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Vert Platform", 13);
#endif
        this->animations = &anim_vertplatform_78;
        if (!anim_vertplatform_78_initialized) {
            anim_vertplatform_78_initialized = true;
            images_vertplatform_78_0_0[0] = get_internal_image_direct(423);
            images_vertplatform_78_0_0[1] = get_internal_image_direct(446);
            images_vertplatform_78_3_0[0] = get_internal_image_direct(568);
            images_vertplatform_78_3_0[1] = get_internal_image_direct(552);
            images_vertplatform_78_3_0[2] = get_internal_image_direct(569);
            images_vertplatform_78_3_0[3] = get_internal_image_direct(572);
            images_vertplatform_78_3_0[4] = get_internal_image_direct(574);
            images_vertplatform_78_3_0[5] = get_internal_image_direct(575);
            images_vertplatform_78_3_0[6] = get_internal_image_direct(579);
            images_vertplatform_78_3_0[7] = get_internal_image_direct(580);
            images_vertplatform_78_3_0[8] = get_internal_image_direct(581);
            images_vertplatform_78_3_0[9] = get_internal_image_direct(588);
            images_vertplatform_78_3_0[10] = get_internal_image_direct(586);
            images_vertplatform_78_3_0[11] = get_internal_image_direct(589);
            images_vertplatform_78_3_0[12] = get_internal_image_direct(590);
            images_vertplatform_78_3_0[13] = get_internal_image_direct(587);
            images_vertplatform_78_3_0[14] = get_internal_image_direct(591);
            images_vertplatform_78_3_0[15] = get_internal_image_direct(593);
            images_vertplatform_78_3_0[16] = get_internal_image_direct(592);
            images_vertplatform_78_3_0[17] = get_internal_image_direct(594);
            images_vertplatform_78_3_0[18] = get_internal_image_direct(596);
            images_vertplatform_78_3_0[19] = get_internal_image_direct(597);
            images_vertplatform_78_3_0[20] = get_internal_image_direct(595);
            images_vertplatform_78_3_0[21] = get_internal_image_direct(598);
            images_vertplatform_78_3_0[22] = get_internal_image_direct(600);
            images_vertplatform_78_3_0[23] = get_internal_image_direct(599);
            images_vertplatform_78_3_0[24] = get_internal_image_direct(602);
            images_vertplatform_78_3_0[25] = get_internal_image_direct(604);
            images_vertplatform_78_3_0[26] = get_internal_image_direct(605);
            images_vertplatform_78_3_0[27] = get_internal_image_direct(606);
            images_vertplatform_78_3_0[28] = get_internal_image_direct(607);
            images_vertplatform_78_3_0[29] = get_internal_image_direct(446);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        forced_animation = current_animation = APPEARING;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_vertplatform_78(int x, int y)
{
    return new (Active::pool.create()) VertPlatform_78(x, y);
}
static Image* images_vertdetector_79_0_0[1];
static Direction direction_vertdetector_79_0_0 = {0, 50, 50, 0, 1, 1, images_vertdetector_79_0_0};
static Animation anim_vertdetector_79_0 = {&direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, NULL, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0, &direction_vertdetector_79_0_0};
static Animation * anim_array_vertdetector_79[1] = {&anim_vertdetector_79_0};
static Animations anim_vertdetector_79 = {1, &anim_array_vertdetector_79[0]};
static bool anim_vertdetector_79_initialized;
class VertDetector_79 : public Active
{
public:
    VertDetector_79(int x, int y) : Active(x, y, VertDetector_79_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Vert Detector", 13);
#endif
        set_visible(false);
        this->animations = &anim_vertdetector_79;
        if (!anim_vertdetector_79_initialized) {
            anim_vertdetector_79_initialized = true;
            images_vertdetector_79_0_0[0] = get_internal_image_direct(21);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_vertdetector_79(int x, int y)
{
    return new (Active::pool.create()) VertDetector_79(x, y);
}
class BgParallaxnear_80 : public QuickBackdrop
{
public:
    BgParallaxnear_80(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-parallaxnear", 15);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 7000;
        height = 7000;
        image = get_internal_image(420);
        outline = 0;
    }
};
FrameObject * create_bgparallaxnear_80(int x, int y)
{
    return new (QuickBackdrop::pool.create()) BgParallaxnear_80(x, y);
}
class BgGrasstop_81 : public Backdrop
{
public:
    BgGrasstop_81(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-grasstop", 11);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_GRASSTOP
        manager.frame->back_instances[BACK_ID_BG_GRASSTOP].push_back(this);
#endif
        image = get_internal_image(26);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bggrasstop_81(int x, int y)
{
    return new (Backdrop::pool.create()) BgGrasstop_81(x, y);
}
class BgDirt_82 : public Backdrop
{
public:
    BgDirt_82(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-dirt", 7);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_DIRT
        manager.frame->back_instances[BACK_ID_BG_DIRT].push_back(this);
#endif
        image = get_internal_image(25);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgdirt_82(int x, int y)
{
    return new (Backdrop::pool.create()) BgDirt_82(x, y);
}
class BgFloortilessolid_83 : public Backdrop
{
public:
    BgFloortilessolid_83(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-floortilessolid", 18);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_FLOORTILESSOLID
        manager.frame->back_instances[BACK_ID_BG_FLOORTILESSOLID].push_back(this);
#endif
        image = get_internal_image(29);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bgfloortilessolid_83(int x, int y)
{
    return new (Backdrop::pool.create()) BgFloortilessolid_83(x, y);
}
class BgNonsolidtiles_84 : public Backdrop
{
public:
    BgNonsolidtiles_84(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-nonsolidtiles", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_NONSOLIDTILES
        manager.frame->back_instances[BACK_ID_BG_NONSOLIDTILES].push_back(this);
#endif
        image = get_internal_image(252);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgnonsolidtiles_84(int x, int y)
{
    return new (Backdrop::pool.create()) BgNonsolidtiles_84(x, y);
}
class BgCongratulationsYouJustWonTheGameTheRealVictoryWasChoosingNotToFightSmallPrintNoJustKiddingYouPretentiousHippy_85 : public Backdrop
{
public:
    BgCongratulationsYouJustWonTheGameTheRealVictoryWasChoosingNotToFightSmallPrintNoJustKiddingYouPretentiousHippy_85(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-congratulations, you just won the game. The real victory was choosing not to fight. - (small print) no, just kidding, you pretentious hippy)", 143);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_CONGRATULATIONS_YOU_JUST_WON_THE_GAME_THE_REAL_VICTORY_WAS_CHOOSING_NOT_TO_FIGHT_SMALL_PRINT_NO_JUST_KIDDING_YOU_PRETENTIOUS_HIPPY
        manager.frame->back_instances[BACK_ID_BG_CONGRATULATIONS_YOU_JUST_WON_THE_GAME_THE_REAL_VICTORY_WAS_CHOOSING_NOT_TO_FIGHT_SMALL_PRINT_NO_JUST_KIDDING_YOU_PRETENTIOUS_HIPPY].push_back(this);
#endif
        image = get_internal_image(42);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_bgcongratulationsyoujustwonthegametherealvictorywaschoosingnottofightsmallprintnojustkiddingyoupretentioushippy_85(int x, int y)
{
    return new (Backdrop::pool.create()) BgCongratulationsYouJustWonTheGameTheRealVictoryWasChoosingNotToFightSmallPrintNoJustKiddingYouPretentiousHippy_85(x, y);
}
class BgRoad_86 : public Backdrop
{
public:
    BgRoad_86(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-road", 7);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_ROAD
        manager.frame->back_instances[BACK_ID_BG_ROAD].push_back(this);
#endif
        image = get_internal_image(4);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bgroad_86(int x, int y)
{
    return new (Backdrop::pool.create()) BgRoad_86(x, y);
}
static Image* images_helpdesk_87_0_0[1];
static Direction direction_helpdesk_87_0_0 = {0, 50, 50, 0, 1, 1, images_helpdesk_87_0_0};
static Animation anim_helpdesk_87_0 = {&direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, NULL, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0, &direction_helpdesk_87_0_0};
static Animation * anim_array_helpdesk_87[1] = {&anim_helpdesk_87_0};
static Animations anim_helpdesk_87 = {1, &anim_array_helpdesk_87[0]};
static bool anim_helpdesk_87_initialized;
class Helpdesk_87 : public Active
{
public:
    Helpdesk_87(int x, int y) : Active(x, y, Helpdesk_87_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Helpdesk", 8);
#endif
        this->animations = &anim_helpdesk_87;
        if (!anim_helpdesk_87_initialized) {
            anim_helpdesk_87_initialized = true;
            images_helpdesk_87_0_0[0] = get_internal_image_direct(45);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_helpdesk_87(int x, int y)
{
    return new (Active::pool.create()) Helpdesk_87(x, y);
}
static Image* images_trapdoor_88_0_0[1];
static Direction direction_trapdoor_88_0_0 = {0, 50, 50, 0, 1, 1, images_trapdoor_88_0_0};
static Animation anim_trapdoor_88_0 = {&direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, NULL, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0, &direction_trapdoor_88_0_0};
static Animation * anim_array_trapdoor_88[1] = {&anim_trapdoor_88_0};
static Animations anim_trapdoor_88 = {1, &anim_array_trapdoor_88[0]};
static bool anim_trapdoor_88_initialized;
class TrapDoor_88 : public Active
{
public:
    TrapDoor_88(int x, int y) : Active(x, y, TrapDoor_88_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Trap door", 9);
#endif
        this->animations = &anim_trapdoor_88;
        if (!anim_trapdoor_88_initialized) {
            anim_trapdoor_88_initialized = true;
            images_trapdoor_88_0_0[0] = get_internal_image_direct(29);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_trapdoor_88(int x, int y)
{
    return new (Active::pool.create()) TrapDoor_88(x, y);
}
static Image* images_inputcoordinatorsecretary_89_0_0[1];
static Direction direction_inputcoordinatorsecretary_89_0_0 = {0, 50, 50, 0, 1, 1, images_inputcoordinatorsecretary_89_0_0};
static Animation anim_inputcoordinatorsecretary_89_0 = {&direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, NULL, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0, &direction_inputcoordinatorsecretary_89_0_0};
static Image* images_inputcoordinatorsecretary_89_1_0[20];
static Direction direction_inputcoordinatorsecretary_89_1_0 = {0, 5, 5, 0, 1, 20, images_inputcoordinatorsecretary_89_1_0};
static Animation anim_inputcoordinatorsecretary_89_1 = {&direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, NULL, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0, &direction_inputcoordinatorsecretary_89_1_0};
static Animation * anim_array_inputcoordinatorsecretary_89[2] = {&anim_inputcoordinatorsecretary_89_0, &anim_inputcoordinatorsecretary_89_1};
static Animations anim_inputcoordinatorsecretary_89 = {2, &anim_array_inputcoordinatorsecretary_89[0]};
static bool anim_inputcoordinatorsecretary_89_initialized;
class InputCoOrdinatorSecretary_89 : public Active
{
public:
    InputCoOrdinatorSecretary_89(int x, int y) : Active(x, y, InputCoOrdinatorSecretary_89_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("input co-ordinator (secretary)", 30);
#endif
        this->animations = &anim_inputcoordinatorsecretary_89;
        if (!anim_inputcoordinatorsecretary_89_initialized) {
            anim_inputcoordinatorsecretary_89_initialized = true;
            images_inputcoordinatorsecretary_89_0_0[0] = get_internal_image_direct(47);
            images_inputcoordinatorsecretary_89_1_0[0] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[1] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[2] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[3] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[4] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[5] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[6] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[7] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[8] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[9] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[10] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[11] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[12] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[13] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[14] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[15] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[16] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[17] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[18] = get_internal_image_direct(44);
            images_inputcoordinatorsecretary_89_1_0[19] = get_internal_image_direct(44);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_inputcoordinatorsecretary_89(int x, int y)
{
    return new (Active::pool.create()) InputCoOrdinatorSecretary_89(x, y);
}
static Image* images_obscuretastictiles_90_0_0[1];
static Direction direction_obscuretastictiles_90_0_0 = {0, 50, 50, 0, 1, 1, images_obscuretastictiles_90_0_0};
static Animation anim_obscuretastictiles_90_0 = {&direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, NULL, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0, &direction_obscuretastictiles_90_0_0};
static Animation * anim_array_obscuretastictiles_90[1] = {&anim_obscuretastictiles_90_0};
static Animations anim_obscuretastictiles_90 = {1, &anim_array_obscuretastictiles_90[0]};
static bool anim_obscuretastictiles_90_initialized;
class ObscuretasticTiles_90 : public Active
{
public:
    ObscuretasticTiles_90(int x, int y) : Active(x, y, ObscuretasticTiles_90_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Obscuretastic tiles", 19);
#endif
        this->animations = &anim_obscuretastictiles_90;
        if (!anim_obscuretastictiles_90_initialized) {
            anim_obscuretastictiles_90_initialized = true;
            images_obscuretastictiles_90_0_0[0] = get_internal_image_direct(25);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_obscuretastictiles_90(int x, int y)
{
    return new (Active::pool.create()) ObscuretasticTiles_90(x, y);
}
class BgGeneric_91 : public Backdrop
{
public:
    BgGeneric_91(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("bg-generic", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BG_GENERIC
        manager.frame->back_instances[BACK_ID_BG_GENERIC].push_back(this);
#endif
        image = get_internal_image(49);
        width = image->width;
        height = image->height;
        collision = new BackdropCollision(this, image);
    }
};
FrameObject * create_bggeneric_91(int x, int y)
{
    return new (Backdrop::pool.create()) BgGeneric_91(x, y);
}
static Image* images_lgflattener_92_0_0[1];
static Direction direction_lgflattener_92_0_0 = {0, 50, 50, 0, 1, 1, images_lgflattener_92_0_0};
static Animation anim_lgflattener_92_0 = {&direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, NULL, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0, &direction_lgflattener_92_0_0};
static Animation * anim_array_lgflattener_92[1] = {&anim_lgflattener_92_0};
static Animations anim_lgflattener_92 = {1, &anim_array_lgflattener_92[0]};
static bool anim_lgflattener_92_initialized;
class LGFlattener_92 : public Active
{
public:
    LGFlattener_92(int x, int y) : Active(x, y, LGFlattener_92_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("LG flattener", 12);
#endif
        this->animations = &anim_lgflattener_92;
        if (!anim_lgflattener_92_initialized) {
            anim_lgflattener_92_initialized = true;
            images_lgflattener_92_0_0[0] = get_internal_image_direct(25);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_lgflattener_92(int x, int y)
{
    return new (Active::pool.create()) LGFlattener_92(x, y);
}
static Image* images_active13_93_0_0[20];
static Direction direction_active13_93_0_0 = {0, 20, 20, 0, 1, 20, images_active13_93_0_0};
static Animation anim_active13_93_0 = {&direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, NULL, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0, &direction_active13_93_0_0};
static Animation * anim_array_active13_93[1] = {&anim_active13_93_0};
static Animations anim_active13_93 = {1, &anim_array_active13_93[0]};
static bool anim_active13_93_initialized;
class Active13_93 : public Active
{
public:
    Active13_93(int x, int y) : Active(x, y, Active13_93_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 13", 9);
#endif
        this->animations = &anim_active13_93;
        if (!anim_active13_93_initialized) {
            anim_active13_93_initialized = true;
            images_active13_93_0_0[0] = get_internal_image_direct(48);
            images_active13_93_0_0[1] = get_internal_image_direct(48);
            images_active13_93_0_0[2] = get_internal_image_direct(48);
            images_active13_93_0_0[3] = get_internal_image_direct(48);
            images_active13_93_0_0[4] = get_internal_image_direct(48);
            images_active13_93_0_0[5] = get_internal_image_direct(48);
            images_active13_93_0_0[6] = get_internal_image_direct(48);
            images_active13_93_0_0[7] = get_internal_image_direct(48);
            images_active13_93_0_0[8] = get_internal_image_direct(48);
            images_active13_93_0_0[9] = get_internal_image_direct(48);
            images_active13_93_0_0[10] = get_internal_image_direct(48);
            images_active13_93_0_0[11] = get_internal_image_direct(48);
            images_active13_93_0_0[12] = get_internal_image_direct(48);
            images_active13_93_0_0[13] = get_internal_image_direct(48);
            images_active13_93_0_0[14] = get_internal_image_direct(48);
            images_active13_93_0_0[15] = get_internal_image_direct(48);
            images_active13_93_0_0[16] = get_internal_image_direct(48);
            images_active13_93_0_0[17] = get_internal_image_direct(48);
            images_active13_93_0_0[18] = get_internal_image_direct(48);
            images_active13_93_0_0[19] = get_internal_image_direct(48);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active13_93(int x, int y)
{
    return new (Active::pool.create()) Active13_93(x, y);
}
static Image* images_bullet_94_0_0[1];
static Direction direction_bullet_94_0_0 = {0, 50, 50, 0, -1, 1, images_bullet_94_0_0};
static Image* images_bullet_94_0_8[1];
static Direction direction_bullet_94_0_8 = {8, 50, 50, 0, 1, 1, images_bullet_94_0_8};
static Image* images_bullet_94_0_16[1];
static Direction direction_bullet_94_0_16 = {16, 50, 50, 0, -1, 1, images_bullet_94_0_16};
static Image* images_bullet_94_0_24[1];
static Direction direction_bullet_94_0_24 = {24, 50, 50, 0, 1, 1, images_bullet_94_0_24};
static Animation anim_bullet_94_0 = {&direction_bullet_94_0_0, &direction_bullet_94_0_0, &direction_bullet_94_0_0, &direction_bullet_94_0_0, NULL, &direction_bullet_94_0_8, &direction_bullet_94_0_8, &direction_bullet_94_0_8, &direction_bullet_94_0_8, &direction_bullet_94_0_8, &direction_bullet_94_0_8, &direction_bullet_94_0_8, NULL, &direction_bullet_94_0_16, &direction_bullet_94_0_16, &direction_bullet_94_0_16, &direction_bullet_94_0_16, &direction_bullet_94_0_16, &direction_bullet_94_0_16, &direction_bullet_94_0_16, NULL, &direction_bullet_94_0_24, &direction_bullet_94_0_24, &direction_bullet_94_0_24, &direction_bullet_94_0_24, &direction_bullet_94_0_24, &direction_bullet_94_0_24, &direction_bullet_94_0_24, NULL, &direction_bullet_94_0_0, &direction_bullet_94_0_0, &direction_bullet_94_0_0};
static Image* images_bullet_94_12_0[3];
static Direction direction_bullet_94_12_0 = {0, 100, 100, 0, -1, 3, images_bullet_94_12_0};
static Image* images_bullet_94_12_16[3];
static Direction direction_bullet_94_12_16 = {16, 100, 100, 0, -1, 3, images_bullet_94_12_16};
static Animation anim_bullet_94_12 = {&direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, NULL, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, &direction_bullet_94_12_16, NULL, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0, &direction_bullet_94_12_0};
static Animation * anim_array_bullet_94[13] = {&anim_bullet_94_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_bullet_94_12};
static Animations anim_bullet_94 = {13, &anim_array_bullet_94[0]};
static bool anim_bullet_94_initialized;
class Bullet_94 : public Active
{
public:
    Bullet_94(int x, int y) : Active(x, y, Bullet_94_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Bullet", 6);
#endif
        this->animations = &anim_bullet_94;
        if (!anim_bullet_94_initialized) {
            anim_bullet_94_initialized = true;
            images_bullet_94_0_0[0] = get_internal_image_direct(89);
            images_bullet_94_0_8[0] = get_internal_image_direct(84);
            images_bullet_94_0_16[0] = get_internal_image_direct(173);
            images_bullet_94_0_24[0] = get_internal_image_direct(84);
            images_bullet_94_12_0[0] = get_internal_image_direct(273);
            images_bullet_94_12_0[1] = get_internal_image_direct(272);
            images_bullet_94_12_0[2] = get_internal_image_direct(271);
            images_bullet_94_12_16[0] = get_internal_image_direct(254);
            images_bullet_94_12_16[1] = get_internal_image_direct(272);
            images_bullet_94_12_16[2] = get_internal_image_direct(271);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_bullet_94(int x, int y)
{
    return new (Active::pool.create()) Bullet_94(x, y);
}
static Image* images_afterimager_95_0_0[2];
static Direction direction_afterimager_95_0_0 = {0, 11, 11, 0, 1, 2, images_afterimager_95_0_0};
static Image* images_afterimager_95_0_16[1];
static Direction direction_afterimager_95_0_16 = {16, 11, 11, 0, 1, 1, images_afterimager_95_0_16};
static Animation anim_afterimager_95_0 = {&direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, NULL, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, &direction_afterimager_95_0_16, NULL, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0, &direction_afterimager_95_0_0};
static Animation * anim_array_afterimager_95[1] = {&anim_afterimager_95_0};
static Animations anim_afterimager_95 = {1, &anim_array_afterimager_95[0]};
static bool anim_afterimager_95_initialized;
class AfterimageR_95 : public Active
{
public:
    AfterimageR_95(int x, int y) : Active(x, y, AfterimageR_95_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Afterimage R", 12);
#endif
        this->animations = &anim_afterimager_95;
        if (!anim_afterimager_95_initialized) {
            anim_afterimager_95_initialized = true;
            images_afterimager_95_0_0[0] = get_internal_image_direct(168);
            images_afterimager_95_0_0[1] = get_internal_image_direct(168);
            images_afterimager_95_0_16[0] = get_internal_image_direct(167);
        }
        fade_duration = 0.11;
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 66);
        create_alterables();
    }
};
FrameObject * create_afterimager_95(int x, int y)
{
    return new (Active::pool.create()) AfterimageR_95(x, y);
}
static Image* images_afterimagel2_96_0_0[2];
static Direction direction_afterimagel2_96_0_0 = {0, 11, 11, 0, 1, 2, images_afterimagel2_96_0_0};
static Animation anim_afterimagel2_96_0 = {&direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, NULL, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0, &direction_afterimagel2_96_0_0};
static Animation * anim_array_afterimagel2_96[1] = {&anim_afterimagel2_96_0};
static Animations anim_afterimagel2_96 = {1, &anim_array_afterimagel2_96[0]};
static bool anim_afterimagel2_96_initialized;
class AfterimageL2_96 : public Active
{
public:
    AfterimageL2_96(int x, int y) : Active(x, y, AfterimageL2_96_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Afterimage L 2", 14);
#endif
        this->animations = &anim_afterimagel2_96;
        if (!anim_afterimagel2_96_initialized) {
            anim_afterimagel2_96_initialized = true;
            images_afterimagel2_96_0_0[0] = get_internal_image_direct(170);
            images_afterimagel2_96_0_0[1] = get_internal_image_direct(170);
        }
        fade_duration = 0.11;
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 66);
        create_alterables();
    }
};
FrameObject * create_afterimagel2_96(int x, int y)
{
    return new (Active::pool.create()) AfterimageL2_96(x, y);
}
static Image* images_fanblock_97_0_0[8];
static Direction direction_fanblock_97_0_0 = {0, 100, 100, 0, -1, 8, images_fanblock_97_0_0};
static Animation anim_fanblock_97_0 = {&direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, NULL, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0, &direction_fanblock_97_0_0};
static Animation * anim_array_fanblock_97[1] = {&anim_fanblock_97_0};
static Animations anim_fanblock_97 = {1, &anim_array_fanblock_97[0]};
static bool anim_fanblock_97_initialized;
class FanBlock_97 : public Active
{
public:
    FanBlock_97(int x, int y) : Active(x, y, FanBlock_97_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Fan Block", 9);
#endif
        this->animations = &anim_fanblock_97;
        if (!anim_fanblock_97_initialized) {
            anim_fanblock_97_initialized = true;
            images_fanblock_97_0_0[0] = get_internal_image_direct(50);
            images_fanblock_97_0_0[1] = get_internal_image_direct(56);
            images_fanblock_97_0_0[2] = get_internal_image_direct(58);
            images_fanblock_97_0_0[3] = get_internal_image_direct(59);
            images_fanblock_97_0_0[4] = get_internal_image_direct(60);
            images_fanblock_97_0_0[5] = get_internal_image_direct(59);
            images_fanblock_97_0_0[6] = get_internal_image_direct(58);
            images_fanblock_97_0_0[7] = get_internal_image_direct(56);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_fanblock_97(int x, int y)
{
    return new (Active::pool.create()) FanBlock_97(x, y);
}
static Image* images_objfan_98_0_0[1];
static Direction direction_objfan_98_0_0 = {0, 50, 50, 0, 1, 1, images_objfan_98_0_0};
static Animation anim_objfan_98_0 = {&direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, NULL, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0, &direction_objfan_98_0_0};
static Animation * anim_array_objfan_98[1] = {&anim_objfan_98_0};
static Animations anim_objfan_98 = {1, &anim_array_objfan_98[0]};
static bool anim_objfan_98_initialized;
class ObjFan_98 : public Active
{
public:
    ObjFan_98(int x, int y) : Active(x, y, ObjFan_98_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("obj-fan", 7);
#endif
        this->animations = &anim_objfan_98;
        if (!anim_objfan_98_initialized) {
            anim_objfan_98_initialized = true;
            images_objfan_98_0_0[0] = get_internal_image_direct(128);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_objfan_98(int x, int y)
{
    return new (Active::pool.create()) ObjFan_98(x, y);
}
static Image* images_active3_99_0_0[1];
static Direction direction_active3_99_0_0 = {0, 50, 50, 0, 1, 1, images_active3_99_0_0};
static Animation anim_active3_99_0 = {&direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, NULL, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0, &direction_active3_99_0_0};
static Animation * anim_array_active3_99[1] = {&anim_active3_99_0};
static Animations anim_active3_99 = {1, &anim_array_active3_99[0]};
static bool anim_active3_99_initialized;
class Active3_99 : public Active
{
public:
    Active3_99(int x, int y) : Active(x, y, Active3_99_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_99;
        if (!anim_active3_99_initialized) {
            anim_active3_99_initialized = true;
            images_active3_99_0_0[0] = get_internal_image_direct(13);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_99(int x, int y)
{
    return new (Active::pool.create()) Active3_99(x, y);
}
